# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python CISCO-ENTITY-SENSOR-MIB

FILENAME = "./CISCO-ENTITY-SENSOR-MIB.my"

MIB = {
    "moduleName" : "CISCO-ENTITY-SENSOR-MIB",

    "CISCO-ENTITY-SENSOR-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco Systems, Inc.""",
        "contact" : 
            """Postal: Cisco Systems, Inc.
170 West Tasman Drive
San Jose, CA 95134-1706
USA

Tel: +1 408 526 4000

E-mail: cs-snmp@cisco.com""",
        "description" :
            """The CISCO-ENTITY-SENSOR-MIB is used to monitor 
the values of sensors in the Entity-MIB (RFC 2037) 
entPhysicalTable.""",
        "revisions" : (
            {
                "date" : "2007-11-12 00:00",
                "description" :
                    """Added entitySensorNotifCtrlGlobalGroup.""",
            },
            {
                "date" : "2006-01-01 00:00",
                "description" :
                    """Add new object entSensorMeasuredEntity to
entSensorValueTable.""",
            },
            {
                "date" : "2005-09-08 00:00",
                "description" :
                    """Change the module descriptor name from entitySensorMIB
to ciscoEntitySensorMIB since ENTITY-SENSOR-MIB also
uses the same name and there is a conflict.""",
            },
            {
                "date" : "2003-01-07 00:00",
                "description" :
                    """[1] Add dBm(14) in SensorDataType.""",
            },
            {
                "date" : "2002-10-16 00:00",
                "description" :
                    """[1] Add critical(30) in CSensorThresholdSeverity.
[2] Change to MAX-ACCESS read-write for 3 objects.
[3] Add entitySensorMIBComplianceV02.""",
            },
            {
                "date" : "2000-06-20 00:00",
                "description" :
                    """Initial version of this MIB module.""",
            },
        ),
        "identity node" : "ciscoEntitySensorMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "NOTIFICATION-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-CONF", "name" : "NOTIFICATION-GROUP"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-TC", "name" : "TimeStamp"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "ENTITY-MIB", "name" : "entPhysicalIndex"},
        {"module" : "CISCO-TC", "name" : "EntPhysicalIndexOrZero"},
        {"module" : "CISCO-SMI", "name" : "ciscoMgmt"},
    ),

    "typedefs" : {
        "SensorDataType" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "other" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "unknown" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "voltsAC" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "voltsDC" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "amperes" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "watts" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "hertz" : {
                "nodetype" : "namednumber",
                "number" : "7"
            },
            "celsius" : {
                "nodetype" : "namednumber",
                "number" : "8"
            },
            "percentRH" : {
                "nodetype" : "namednumber",
                "number" : "9"
            },
            "rpm" : {
                "nodetype" : "namednumber",
                "number" : "10"
            },
            "cmm" : {
                "nodetype" : "namednumber",
                "number" : "11"
            },
            "truthvalue" : {
                "nodetype" : "namednumber",
                "number" : "12"
            },
            "specialEnum" : {
                "nodetype" : "namednumber",
                "number" : "13"
            },
            "dBm" : {
                "nodetype" : "namednumber",
                "number" : "14"
            },
            "description" :
                """sensor measurement data types.  valid values are:
other(1):        a measure other than those listed below
unknown(2):      unknown measurement, or 
                 arbitrary, relative numbers    
voltsAC(3):      electric potential
voltsDC(4):      electric potential
amperes(5):      electric current
watts(6):        power
hertz(7):        frequency
celsius(8):      temperature
percentRH(9):    percent relative humidity
rpm(10):         shaft revolutions per minute
cmm(11),:        cubic meters per minute (airflow)
truthvalue(12):  value takes { true(1), false(2) }
specialEnum(13): value takes user defined enumerated values
dBm(14):         dB relative to 1mW of power""",
        },
        "SensorDataScale" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "yocto" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "zepto" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "atto" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "femto" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "pico" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "nano" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "micro" : {
                "nodetype" : "namednumber",
                "number" : "7"
            },
            "milli" : {
                "nodetype" : "namednumber",
                "number" : "8"
            },
            "units" : {
                "nodetype" : "namednumber",
                "number" : "9"
            },
            "kilo" : {
                "nodetype" : "namednumber",
                "number" : "10"
            },
            "mega" : {
                "nodetype" : "namednumber",
                "number" : "11"
            },
            "giga" : {
                "nodetype" : "namednumber",
                "number" : "12"
            },
            "tera" : {
                "nodetype" : "namednumber",
                "number" : "13"
            },
            "exa" : {
                "nodetype" : "namednumber",
                "number" : "14"
            },
            "peta" : {
                "nodetype" : "namednumber",
                "number" : "15"
            },
            "zetta" : {
                "nodetype" : "namednumber",
                "number" : "16"
            },
            "yotta" : {
                "nodetype" : "namednumber",
                "number" : "17"
            },
            "description" :
                """International System of Units (SI) prefixes.""",
        },
        "SensorPrecision" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "-8",
                "max" : "9"
            },
            ],
            "range" : {
                "min" : "-8",
                "max" : "9"
            },
            "description" :
                """When in the range 1 to 9, SensorPrecision is the number 
of decimal places in the fractional part of 
a SensorValue fixed-point number.  When in the range -8 to
-1, SensorPrecision is the number of accurate digits in 
a SensorValue fixed-point number.

SensorPrecision is 0 for non-fixed-point numbers.

Agent implementors must choose a value for SensorPrecision 
so that the precision and accuracy of a SensorValue is 
correctly indicated.

For example, a temperature sensor that can measure 0o to 
100o C in 0.1o increments, +/- 0.05o, would have a 
SensorPrecision of 1, a SensorDataScale of units(0), and a 
SensorValue ranging from 0 to 1000.  
The SensorValue would be interpreted as (degrees C * 10).

If that temperature sensor's precision were 0.1o but its 
accuracy were only +/- 0.5o, then the SensorPrecision would 
be 0. The SensorValue would be interpreted as degrees C.

Another example: a fan rotation speed sensor that measures RPM 
from 0 to 10,000 in 100 RPM increments, with an accuracy of 
+50/-37 RPM, would have a SensorPrecision of -2, a 
SensorDataScale of units(9), and a SensorValue ranging from 0 
to 10000. The 10s and 1s digits of SensorValue would always 
be 0.""",
        },
        "SensorValue" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "-1000000000",
                "max" : "1000000000"
            },
            ],
            "range" : {
                "min" : "-1000000000",
                "max" : "1000000000"
            },
            "description" :
                """For sensors that measure voltsAC, voltsDC, 
amperes, watts, hertz, celsius, cmm
this item is a fixed point number ranging from 
-999,999,999 to +999,999,999.  Use the value 
-1000000000 to indicate underflow. Use the value 
+1000000000 to indicate overflow.  Use SensorPrecision
to indicate how many fractional digits the SensorValue
has.


For sensors that measure percentRH, this item
is a number ranging from 0 to 100.

For sensors that measure rpm, this item
can take only nonnegative values, 0..999999999.

For sensors of type truthvalue, this item 
can take only two values: true(1), false(2).

For sensors of type specialEnum, this item
can take any value in the range (-1000000000..1000000000),
but the meaning of each value is specific to the 
sensor.

For sensors of type other and unknown, 
this item can take any value in the range 
(-1000000000..1000000000), but the meaning of the values 
are specific to the sensor.

Use Entity-MIB entPhysicalTable.entPhysicalVendorType
to learn about the sensor type.""",
        },
        "SensorStatus" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "ok" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "unavailable" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "nonoperational" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "description" :
                """Indicates the operational status of the sensor.

ok(1) means the agent can read the sensor 
value.

unavailable(2) means that the agent presently 
can not report the sensor value.

nonoperational(3) means that the agent believes
the sensor is broken.  The sensor could have a 
hard failure (disconnected wire), or a soft failure
such as out-of-range, jittery, or wildly fluctuating
readings.""",
        },
        "SensorValueUpdateRate" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "0",
                "max" : "999999999"
            },
            ],
            "range" : {
                "min" : "0",
                "max" : "999999999"
            },
            "description" :
                """Indicates the interval in seconds between updates to the
sensor's value.  

The value zero indicates:
- the sensor value is updated on demand (when polled by the 
  agent for a get-request), 
- or when the sensor value changes (event-driven), 
- or the agent does not know the rate""",
        },
        "SensorThresholdSeverity" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "other" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "minor" : {
                "nodetype" : "namednumber",
                "number" : "10"
            },
            "major" : {
                "nodetype" : "namednumber",
                "number" : "20"
            },
            "critical" : {
                "nodetype" : "namednumber",
                "number" : "30"
            },
            "description" :
                """sensor threshold severity.  Valid values are:

other(1)    : a severity other than those listed below.
minor(10)   : Minor Problem threshold.
major(20)   : Major Problem threshold.
critical(30): Critical problem threshold. A system might shut
              down the sensor associated FRU automatically if
              the sensor value reach the critical problem
              threshold.""",
        },
        "SensorThresholdRelation" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "lessThan" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "lessOrEqual" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "greaterThan" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "greaterOrEqual" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "equalTo" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "notEqualTo" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "description" :
                """sensor threshold relational operator types.  valid values are:

lessThan(1):        if the sensor value is less than
                    the threshold value
lessOrEqual(2):     if the sensor value is less than or equal to
                    the threshold value
greaterThan(3):     if the sensor value is greater than 
                    the threshold value
greaterOrEqual(4):  if the sensor value is greater than or equal
                    to the threshold value
equalTo(5):         if the sensor value is equal to
                    the threshold value
notEqualTo(6):      if the sensor value is not equal to
                    the threshold value""",
        },
    }, # typedefs

    "nodes" : {
        "ciscoEntitySensorMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91",
            "status" : "current",
        }, # node
        "entitySensorMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1",
        }, # node
        "entSensorValues" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1",
        }, # node
        "entSensorValueTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1.1",
            "status" : "current",
            "description" :
                """This table lists the type, scale, and present value
of a sensor listed in the Entity-MIB entPhysicalTable.""",
        }, # table
        "entSensorValueEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1.1.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
            ],
            "description" :
                """An entSensorValueTable entry describes the 
present reading of a sensor, the measurement units
and scale, and sensor operational status.""",
        }, # row
        "entSensorType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-SENSOR-MIB", "name" : "SensorDataType"},
            },
            "access" : "readonly",
            "description" :
                """This variable indicates the type of data 
reported by the entSensorValue.

This variable is set by the agent at start-up
and the value does not change during operation.""",
        }, # column
        "entSensorScale" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-SENSOR-MIB", "name" : "SensorDataScale"},
            },
            "access" : "readonly",
            "description" :
                """This variable indicates the exponent to apply
to sensor values reported by entSensorValue.

This variable is set by the agent at start-up
and the value does not change during operation.""",
        }, # column
        "entSensorPrecision" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-SENSOR-MIB", "name" : "SensorPrecision"},
            },
            "access" : "readonly",
            "description" :
                """This variable indicates the number of decimal
places of precision in fixed-point
sensor values reported by entSensorValue.

This variable is set to 0 when entSensorType
is not a fixed-point type:  voltsAC(1), voltsDC(2), 
amperes(3), watts(4), hertz(5), celsius(6), or cmm(9).

This variable is set by the agent at start-up
and the value does not change during operation.""",
        }, # column
        "entSensorValue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-SENSOR-MIB", "name" : "SensorValue"},
            },
            "access" : "readonly",
            "description" :
                """This variable reports the most recent measurement seen
by the sensor.

To correctly display or interpret this variable's value, 
you must also know entSensorType, entSensorScale, and 
entSensorPrecision.

However, you can compare entSensorValue with the threshold
values given in entSensorThresholdTable without any semantic
knowledge.""",
        }, # column
        "entSensorStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-SENSOR-MIB", "name" : "SensorStatus"},
            },
            "access" : "readonly",
            "description" :
                """This variable indicates the present operational status
of the sensor.""",
        }, # column
        "entSensorValueTimeStamp" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """This variable indicates the age of the value reported by 
entSensorValue""",
        }, # column
        "entSensorValueUpdateRate" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-SENSOR-MIB", "name" : "SensorValueUpdateRate"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """This variable indicates the rate that the agent
updates entSensorValue.""",
        }, # column
        "entSensorMeasuredEntity" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.1.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "EntPhysicalIndexOrZero"},
            },
            "access" : "readonly",
            "description" :
                """This object identifies the physical entity for which the
sensor is taking measurements.  For example, for a sensor
measuring the voltage output of a power-supply, this object
would be the entPhysicalIndex of that power-supply; for a sensor
measuring the temperature inside one chassis of a multi-chassis
system, this object would be the enPhysicalIndex of that
chassis.

This object has a value of zero when the physical entity
for which the sensor is taking measurements can not be
represented by any one row in the entPhysicalTable, or that
there is no such physical entity.""",
        }, # column
        "entSensorThresholds" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.2",
        }, # node
        "entSensorThresholdTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.2.1",
            "status" : "current",
            "description" :
                """This table lists the threshold severity, relation, and
comparison value, for a sensor listed in the Entity-MIB 
entPhysicalTable.""",
        }, # table
        "entSensorThresholdEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.2.1.1",
            "status" : "current",
            "linkage" : [
                "entPhysicalIndex",
                "entSensorThresholdIndex",
            ],
            "description" :
                """An entSensorThresholdTable entry describes the 
thresholds for a sensor: the threshold severity,
the threshold value, the relation, and the 
evaluation of the threshold.

Only entities of type sensor(8) are listed in this table.
Only pre-configured thresholds are listed in this table.

Users can create sensor-value monitoring instruments
in different ways, such as RMON alarms, Expression-MIB, etc.

Entries are created by the agent at system startup and
FRU insertion.  Entries are deleted by the agent at
FRU removal.""",
        }, # row
        "entSensorThresholdIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "99999999"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "99999999"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """An index that uniquely identifies an entry
in the entSensorThresholdTable. This index
permits the same sensor to have several 
different thresholds.""",
        }, # column
        "entSensorThresholdSeverity" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-SENSOR-MIB", "name" : "SensorThresholdSeverity"},
            },
            "access" : "readwrite",
            "description" :
                """This variable indicates the severity of this threshold.""",
        }, # column
        "entSensorThresholdRelation" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.2.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-SENSOR-MIB", "name" : "SensorThresholdRelation"},
            },
            "access" : "readwrite",
            "description" :
                """This variable indicates the relation between sensor value 
(entSensorValue) and threshold value (entSensorThresholdValue), 
required to trigger the alarm.  when evaluating the relation, 
entSensorValue is on the left of entSensorThresholdRelation, 
entSensorThresholdValue is on the right. 

in pseudo-code, the evaluation-alarm mechanism is:

...
if (entSensorStatus == ok) then
    if (evaluate(entSensorValue, entSensorThresholdRelation,  
        entSensorThresholdValue)) 
    then
        if (entSensorThresholdNotificationEnable == true)) 
        then
            raise_alarm(sensor's entPhysicalIndex);
        endif
    endif
endif
...""",
        }, # column
        "entSensorThresholdValue" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.2.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-ENTITY-SENSOR-MIB", "name" : "SensorValue"},
            },
            "access" : "readwrite",
            "description" :
                """This variable indicates the value of the threshold.

To correctly display or interpret this variable's value, 
you must also know entSensorType, entSensorScale, and 
entSensorPrecision.

However, you can directly compare entSensorValue 
with the threshold values given in entSensorThresholdTable 
without any semantic knowledge.""",
        }, # column
        "entSensorThresholdEvaluation" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.2.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """This variable indicates the result of the most
recent evaluation of the threshold.  If the threshold
condition is true, entSensorThresholdEvaluation 
is true(1).  If the threshold condition is false, 
entSensorThresholdEvaluation is false(2).

Thresholds are evaluated at the rate indicated by 
entSensorValueUpdateRate.        """,
        }, # column
        "entSensorThresholdNotificationEnable" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.2.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """This variable controls generation of 
entSensorThresholdNotification for this threshold.

When this variable is 'true', generation of 
entSensorThresholdNotification is enabled for this
threshold. When this variable is 'false', 
generation of entSensorThresholdNotification is
disabled for this threshold.""",
        }, # column
        "entSensorGlobalObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.3",
        }, # node
        "entSensorThreshNotifGlobalEnable" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.1.3.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """This variable enables the generation of
entSensorThresholdNotification globally
on the device. If this object value is
'false', then no entSensorThresholdNotification
will be generated on this device. If this object
value is 'true', then whether a 
entSensorThresholdNotification for a threshold will
be generated or not depends on the instance value of
entSensorThresholdNotificationEnable for that
threshold.""",
        }, # scalar
        "entitySensorMIBNotificationPrefix" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.2",
        }, # node
        "entitySensorMIBNotifications" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.2.0",
        }, # node
        "entitySensorMIBConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3",
        }, # node
        "entitySensorMIBCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.1",
        }, # node
        "entitySensorMIBGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.2",
        }, # node
    }, # nodes

    "notifications" : {
        "entSensorThresholdNotification" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.2.0.1",
            "status" : "current",
            "objects" : {
                "entSensorThresholdValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorValue" : {
                    "nodetype" : "object",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
            },
            "description" :
                """The sensor value crossed the threshold 
listed in entSensorThresholdTable.

This notification is generated once each time
the sensor value crosses the threshold.

The agent implementation guarantees prompt, timely
evaluation of threshold and generation of this
notification.""",
        }, # notification
    }, # notifications

    "groups" : {
        "entitySensorValueGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.2.1",
            "status" : "current",
            "members" : {
                "entSensorType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorScale" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorPrecision" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorValueTimeStamp" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorValueUpdateRate" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used
to describe and monitor values of Entity-MIB 
entPhysicalTable entries of sensors.""",
        }, # group
        "entitySensorThresholdGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.2.2",
            "status" : "current",
            "members" : {
                "entSensorThresholdSeverity" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorThresholdRelation" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorThresholdValue" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorThresholdEvaluation" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entSensorThresholdNotificationEnable" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used
to describe and monitor thresholds for
sensors.""",
        }, # group
        "entitySensorThresholdNotificationGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.2.3",
            "status" : "current",
            "members" : {
                "entSensorThresholdNotification" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
            }, # members
            "description" :
                """the collection of notifications used for
monitoring sensor threshold activity.""",
        }, # group
        "entitySensorValueGroupSup1" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.2.4",
            "status" : "current",
            "members" : {
                "entSensorMeasuredEntity" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which are used to describe and track 
the measured entities of ENTITY-MIB entPhysicalTable.""",
        }, # group
        "entitySensorNotifCtrlGlobalGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.2.5",
            "status" : "current",
            "members" : {
                "entSensorThreshNotifGlobalEnable" : {
                    "nodetype" : "member",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
            }, # members
            "description" :
                """The collection of objects which provide the global
notification control on entSensorThresholdNotification.""",
        }, # group
    }, # groups

    "compliances" : {
        "entitySensorMIBComplianceV01" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.1.1",
            "status" : "deprecated",
            "description" :
                """An Entity-MIB implementation that lists
sensors in its entPhysicalTable must implement
this group.""",
            "requires" : {
                "entitySensorValueGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entitySensorThresholdGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entitySensorThresholdNotificationGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
            }, # requires
        }, # compliance
        "entitySensorMIBComplianceV02" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.1.2",
            "status" : "deprecated",
            "description" :
                """An Entity-MIB implementation that lists 
sensors in its entPhysicalTable must implement
this group.""",
            "requires" : {
                "entitySensorThresholdGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entitySensorValueGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "description" :
                        """This group is mandatory for the systems which don't
support IETF version of ENTITY-SENSOR-MIB.""",
                },
                "entitySensorThresholdNotificationGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "description" :
                        """This group is mandatory for the systems which support
entitySensorValueGroup group.""",
                },
            }, # requires
            "refinements" : {
                "entSensorThresholdSeverity" : {
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "access" : "readonly",
                    "description" :
                        """ Write access is not required.""",
                },
                "entSensorThresholdRelation" : {
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "access" : "readonly",
                    "description" :
                        """ Write access is not required.""",
                },
                "entSensorThresholdValue" : {
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "access" : "readonly",
                    "description" :
                        """ Write access is not required.""",
                },
            }, # refinements

        }, # compliance
        "entitySensorMIBComplianceV03" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.1.3",
            "status" : "deprecated",
            "description" :
                """An Entity-MIB implementation that lists 
sensors in its entPhysicalTable must implement
this group.""",
            "requires" : {
                "entitySensorThresholdGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entitySensorValueGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "description" :
                        """This group is mandatory for the systems which don't
support IETF version of ENTITY-SENSOR-MIB.""",
                },
                "entitySensorThresholdNotificationGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "description" :
                        """This group is mandatory for the systems which support
entitySensorValueGroup group.""",
                },
                "entitySensorValueGroupSup1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "description" :
                        """This group is mandatory for the systems which support
the correlation between sensor and its measured
physical entity.""",
                },
            }, # requires
            "refinements" : {
                "entSensorThresholdSeverity" : {
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "access" : "readonly",
                    "description" :
                        """ Write access is not required.""",
                },
                "entSensorThresholdRelation" : {
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "access" : "readonly",
                    "description" :
                        """ Write access is not required.""",
                },
                "entSensorThresholdValue" : {
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "access" : "readonly",
                    "description" :
                        """ Write access is not required.""",
                },
            }, # refinements

        }, # compliance
        "entitySensorMIBComplianceV04" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-ENTITY-SENSOR-MIB",
            "oid" : "1.3.6.1.4.1.9.9.91.3.1.4",
            "status" : "current",
            "description" :
                """An Entity-MIB implementation that lists 
sensors in its entPhysicalTable must implement
this group.""",
            "requires" : {
                "entitySensorThresholdGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-ENTITY-SENSOR-MIB"
                },
                "entitySensorValueGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "description" :
                        """This group is mandatory for the systems which don't
support IETF version of ENTITY-SENSOR-MIB.""",
                },
                "entitySensorThresholdNotificationGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "description" :
                        """This group is mandatory for the systems which support
entitySensorValueGroup group.""",
                },
                "entitySensorValueGroupSup1" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "description" :
                        """This group is mandatory for the systems which support
the correlation between sensor and its measured
physical entity.""",
                },
                "entitySensorNotifCtrlGlobalGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "description" :
                        """This group is mandatory for the platforms which support
global notification control on 
entSensorThresholdNotification.""",
                },
            }, # requires
            "refinements" : {
                "entSensorThresholdSeverity" : {
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "access" : "readonly",
                    "description" :
                        """ Write access is not required.""",
                },
                "entSensorThresholdRelation" : {
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "access" : "readonly",
                    "description" :
                        """ Write access is not required.""",
                },
                "entSensorThresholdValue" : {
                    "module" : "CISCO-ENTITY-SENSOR-MIB",
                    "access" : "readonly",
                    "description" :
                        """ Write access is not required.""",
                },
            }, # refinements

        }, # compliance
    }, # compliances

}
