# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python CISCO-HSRP-MIB

FILENAME = "CISCO-HSRP-MIB.my"

MIB = {
    "moduleName" : "CISCO-HSRP-MIB",

    "CISCO-HSRP-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco Systems, Inc.""",
        "contact" : 
            """Cisco Systems
Customer Service

Postal: 170 W Tasman Drive
San Jose, CA  95134
USA

Tel: +1 800 553-NETS

E-mail: cs-hsrp@cisco.com""",
        "description" :
            """The MIB module provides a means to monitor and configure
the Cisco IOS proprietary Hot Standby Router Protocol
(HSRP). Cisco HSRP protocol is defined in RFC2281.

Terminology:

HSRP is a protocol used amoung a group of routers for the
purpose of selecting an 'active router' and a 'standby
router'.

An 'active router' is the router of choice for routing
packets.

A 'standby router' is a router that takes over the routing
duties when an active router fails, or when preset
conditions have been met.

An 'HSRP group' or a 'standby group' is a set of routers
which communicate using HSRP. An HSRP group has a group MAC
address and a group Virtual IP address. These are the
designated addresses. The active router assumes (i.e.
inherits) these group addresses.

'Hello' messages are sent to indicate that a router is
running and is capable of becoming the active or standby
router.

'Hellotime' is the interval between successive HSRP Hello
messages from a given router.

'Holdtime' is the interval between the receipt of a Hello
message and the presumption that the sending router has
failed.""",
        "revisions" : (
            {
                "date" : "2010-09-06 00:00",
                "description" :
                    """The following changes have been made.

[1] Objects cHsrpGrpIpNone has been added to the
     cHsrpGrpTable.

[2] Added new object group cHsrpGrpGroupSup


[3] Added new compliance cHsrpComplianceRev2, which
    deprecates cHsrpComplianceRev1.""",
            },
            {
                "date" : "2005-12-20 00:00",
                "description" :
                    """Deprecated cHsrpCompliance and added cHsrpComplianceRev1
to include cHsrpNotificationsGroup; Updated the imports
such that Unsigned32 is imported from SNMPv2-SMI instead
of CISCO-TC, and other clean-up.""",
            },
            {
                "date" : "1998-08-03 00:00",
                "description" :
                    """Initial version of this MIB.""",
            },
        ),
        "identity node" : "ciscoHsrpMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "NOTIFICATION-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "IpAddress"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "NOTIFICATION-GROUP"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-TC", "name" : "DisplayString"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-TC", "name" : "RowStatus"},
        {"module" : "SNMPv2-TC", "name" : "MacAddress"},
        {"module" : "IF-MIB", "name" : "ifIndex"},
        {"module" : "CISCO-SMI", "name" : "ciscoMgmt"},
    ),

    "typedefs" : {
        "HsrpState" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "initial" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "learn" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "listen" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "speak" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "standby" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "active" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "description" :
                """The current state of the HSRP protocol for a given
HSRP group entry.""",
        },
    }, # typedefs

    "nodes" : {
        "ciscoHsrpMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106",
            "status" : "current",
        }, # node
        "ciscoHsrpMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1",
        }, # node
        "cHsrpGlobalConfig" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.1",
        }, # node
        "cHsrpConfigTimeout" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "60"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "60"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "5",
            "units" : "minutes",
            "description" :
                """The amount of time in minutes a row in cHsrpGrpTable can
remain in a state other than active before being timed out.""",
        }, # scalar
        "cHsrpGroup" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2",
        }, # node
        "cHsrpGrpTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1",
            "status" : "current",
            "description" :
                """A table containing information on each HSRP group
for each interface.""",
        }, # table
        "cHsrpGrpEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "ifIndex",
                "cHsrpGrpNumber",
            ],
            "description" :
                """Information about an HSRP group. Management applications
use cHsrpGrpRowStatus to control entry modification,
creation and deletion.

Setting cHsrpGrpRowStatus to 'active' causes the router to
communicate using HSRP.

The value of cHsrpGrpRowStatus may be set to 'destroy' at
any time.

Entries may not be created via SNMP without explicitly 
setting cHsrpGrpRowStatus to either 'createAndGo' or 
'createAndWait'.

Entries can be created and modified via the management 
protocol or by the device's local management interface.

A management application wishing to create an entry should
choose the ifIndex of the interface which is to be added
as part of an HSRP group. Also, a cHsrpGrpNumber should
be chosen. A group number is unique only amongst the groups 
on a particular interface. The value of the group number
appears in packets which are transmitted and received on a 
LAN segment to which the router is connected. The application
must select the group number as explained in the description
for cHsrpGrpNumber.

If the row is not active, and a local management interface
command modifies that row, the row may transition to active
state.

A row which is not in active state will timeout after a
configurable period (five minutes by default). This timeout 
period can be changed by setting cHsrpConfigTimeout.""",
        }, # row
        "cHsrpGrpNumber" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """This object along with the ifIndex of a particular interface
uniquely identifies an HSRP group.

Group numbers 0,1 and 2 are the only valid group numbers
for TokenRing interfaces. For other media types, numbers
range from 0 to 255. Each interface has its own set of group
numbers. There's no relationship between the groups
configured on different interfaces. Using a group number
on one interface doesn't preclude using the same group
number on a different interface. For example, there can be
a group 1 on an Ethernet and a group 1 on Token Ring. More
details can be found from RFC 2281.""",
        }, # column
        "cHsrpGrpAuth" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "DisplayString",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "8"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "8"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "cisco",
            "description" :
                """This is an unencrypted authentication string which is
carried in all HSRP messages. An authentication string
mismatch prevents a router interface from learning the
designated IP address or HSRP timer values from
other HSRP-enabled routers with the same group number.

The function of this object is not to supply any sort of
security-like authentication but rather to confirm that
what's happening is what's intended. In other words, this
is meant for sanity checking only.""",
        }, # column
        "cHsrpGrpPriority" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "100",
            "description" :
                """The cHsrpGrpPriority helps to select the active and the
standby routers. The router with the highest priority is
selected as the active router. In the priority range of 0
to 255, 0 is the lowest priority and 255 is the highest
priority.

If two (or more) routers in a group have the same priority,
the one with the highest ip address of the interface is the
active router. When the active router fails to send a Hello
message within a configurable period of time, the standby
router with the highest priority becomes the active
router.

A router with highest priority will only attempt to
overthrow a lower priority active router if it is
configured to preempt.  But, if there is more than one
router which is not active, the highest priority non-active
router becomes the standby router.""",
        }, # column
        "cHsrpGrpPreempt" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """This object, if TRUE, indicates that the current router
should attempt to overthrow a lower priority active router
and attempt to become the active router. If this object is
FALSE, the router will become the active router only if
there is no such router (or if an active router fails).""",
        }, # column
        "cHsrpGrpPreemptDelay" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "3600"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "3600"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "0",
            "units" : "seconds",
            "description" :
                """This delay is the time difference between a router power
up and the time it can actually start preempting the
currently active router.

When a router first comes up, it doesn't have a complete
routing table. If it's configured to preempt, then it will
become the Active router, but it will not be able to
provide adequate routing services. The solution to this is
to allow for a configurable delay before the router
actually preempts the currently active router.""",
        }, # column
        "cHsrpGrpUseConfiguredTimers" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """HSRP routers learn a group's Hellotime or Holdtime from
hello messages.

The Hellotime is used to determine the frequency of
generating hello messages when this router becomes the
active or standby router. The Holdtime is the interval
between the receipt of a Hello message and the presumption
that the sending router has failed.

If this object is TRUE, the cHsrpGrpConfiguredHelloTime and
cHsrpGrpConfiguredHoldTime will be used. If it is FALSE,
the Hellotime and Holdtime values are learned.""",
        }, # column
        "cHsrpGrpConfiguredHelloTime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readwrite",
            "default" : "3000",
            "units" : "milliseconds",
            "description" :
                """If cHsrpGrpUseConfiguredTimers is true,
cHsrpGrpConfiguredHelloTime is used when this router is an
active router. Otherwise, the Hellotime learned from the
current active router is used. All routers on a particular
LAN segment must use the same Hellotime.""",
        }, # column
        "cHsrpGrpConfiguredHoldTime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readwrite",
            "default" : "10000",
            "units" : "milliseconds",
            "description" :
                """If cHsrpGrpUseConfiguredTimers is true,
cHsrpGrpConfiguredHoldTime is used when this router is an
active router. Otherwise, the Holdtime learned from the
current active router is used. All routers on a particular
LAN segment should use the same Holdtime. Also, the
Holdtime should be at least three times the value of the
Hellotime and must be greater than the Hellotime.""",
        }, # column
        "cHsrpGrpLearnedHelloTime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "default" : "3000",
            "units" : "milliseconds",
            "description" :
                """If the Hellotime is not configured on a router, it can be
learned from the Hello messages from active router,
provided the Hello message is authenticated. If the
Hellotime is not learned from a Hello message from the
active router and it is not manually configured, a default
value of 3 seconds is recommended.""",
        }, # column
        "cHsrpGrpLearnedHoldTime" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "default" : "10000",
            "units" : "milliseconds",
            "description" :
                """If the Holdtime is not configured on a router, it can be
learned from the Hello message from the active router.
Holdtime should be learned only if the Hello message is
authenticated. If the Holdtime is not learned and it is
not manually configured, a default value of 10 seconds is 
recommended.""",
        }, # column
        "cHsrpGrpVirtualIpAddr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readwrite",
            "default" : "0x00000000",
            "description" :
                """This is the primary virtual IP address used by this
group.  If this address is configured (i.e a non zero ip
address), this value is used. Otherwise, the agent will
attempt to discover the virtual address through a discovery
process (which scans the hello messages).""",
        }, # column
        "cHsrpGrpUseConfigVirtualIpAddr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """If this object is TRUE, cHsrpGrpVirtualIpAddr was a
configured one. Otherwise, it indicates that 
cHsrpGrpVirtualIpAddr was a learned one.""",
        }, # column
        "cHsrpGrpActiveRouter" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """Ip Address of the currently active router for this group.""",
        }, # column
        "cHsrpGrpStandbyRouter" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.14",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """Ip Address of the currently standby router for this
group.""",
        }, # column
        "cHsrpGrpStandbyState" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.15",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-HSRP-MIB", "name" : "HsrpState"},
            },
            "access" : "readonly",
            "description" :
                """The current HSRP state of this group on this interface.""",
        }, # column
        "cHsrpGrpVirtualMacAddr" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.16",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """Mac Addresses used are as specified in RFC 2281. For
ethernet and fddi interfaces, a MAC address will be in the
range 00:00:0c:07:ac:00 through 00:00:0c:07:ac:ff. The last
octet is the hexadecimal equivalent of cHsrpGrpNumber
(0-255).

Some Ethernet and FDDI interfaces allow a unicast MAC
address for each HSRP group. Certain Ethernet
chipsets(LANCE Ethernet, VGANYLAN and QUICC Ethernet) only
support a single Unicast Mac Address. In this case, only
one HSRP group is allowed.

For TokenRing interfaces, the following three MAC 
addresses are permitted (functional addresses):
             C0:00:00:01:00:00
             C0:00:00:02:00:00
             C0:00:00:04:00:00.""",
        }, # column
        "cHsrpGrpEntryRowStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.17",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The control that allows modification, creation, and
deletion of entries.  For detailed rules see the
DESCRIPTION for cHsrpGrpEntry.""",
        }, # column
        "cHsrpGrpIpNone" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.1.2.1.1.18",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """This object specifies the disable HSRP IPv4 virtual
IP address.""",
        }, # column
        "cHsrpMIBNotificationPrefix" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.2",
        }, # node
        "cHsrpMIBNotifications" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.2.0",
        }, # node
        "cHsrpConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.3",
        }, # node
        "cHsrpCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.3.1",
        }, # node
        "cHsrpComplianceGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.3.2",
        }, # node
    }, # nodes

    "notifications" : {
        "cHsrpStateChange" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.2.0.1",
            "status" : "current",
            "objects" : {
                "cHsrpGrpStandbyState" : {
                    "nodetype" : "object",
                    "module" : "CISCO-HSRP-MIB"
                },
            },
            "description" :
                """A cHsrpStateChange notification is sent when a
cHsrpGrpStandbyState transitions to either active or
standby state, or leaves active or standby state. There
will be only one notification issued when the state change
is from standby to active and vice versa.""",
        }, # notification
    }, # notifications

    "groups" : {
        "cHsrpConfigGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.3.2.1",
            "status" : "current",
            "members" : {
                "cHsrpConfigTimeout" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
            }, # members
            "description" :
                """The collection of objects used to set global
configuration objects for the HSRP MIB.""",
        }, # group
        "cHsrpGrpGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.3.2.2",
            "status" : "current",
            "members" : {
                "cHsrpGrpAuth" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpPriority" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpPreempt" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpPreemptDelay" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpUseConfiguredTimers" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpConfiguredHelloTime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpConfiguredHoldTime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpLearnedHelloTime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpLearnedHoldTime" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpVirtualIpAddr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpUseConfigVirtualIpAddr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpActiveRouter" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpStandbyRouter" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpStandbyState" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpVirtualMacAddr" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpEntryRowStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
            }, # members
            "description" :
                """The collection of objects used to add, delete and retrieve
information about HSRP groups.""",
        }, # group
        "cHsrpNotificationsGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.3.2.3",
            "status" : "current",
            "members" : {
                "cHsrpStateChange" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
            }, # members
            "description" :
                """The collection of notifications used to indicate HSRP
state information.""",
        }, # group
        "cHsrpGrpGroupSup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.3.2.4",
            "status" : "current",
            "members" : {
                "cHsrpGrpIpNone" : {
                    "nodetype" : "member",
                    "module" : "CISCO-HSRP-MIB"
                },
            }, # members
            "description" :
                """The collection of objects used to add, delete and retrieve
information about HSRP groups.""",
        }, # group
    }, # groups

    "compliances" : {
        "cHsrpCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.3.1.1",
            "status" : "deprecated",
            "description" :
                """The compliance statement for all hosts implementing
the CISCO-HSRP-MIB.""",
            "requires" : {
                "cHsrpConfigGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-HSRP-MIB"
                },
            }, # requires
        }, # compliance
        "cHsrpComplianceRev1" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.3.1.2",
            "status" : "deprecated",
            "description" :
                """The object group is deprecated by the cHsrpComplianceRev2""",
            "requires" : {
                "cHsrpConfigGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpNotificationsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-HSRP-MIB"
                },
            }, # requires
        }, # compliance
        "cHsrpComplianceRev2" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-HSRP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.106.3.1.3",
            "status" : "current",
            "description" :
                """The compliance statement for all hosts implementing
the CISCO-HSRP-MIB.""",
            "requires" : {
                "cHsrpConfigGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpGrpGroupSup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-HSRP-MIB"
                },
                "cHsrpNotificationsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-HSRP-MIB"
                },
            }, # requires
        }, # compliance
    }, # compliances

}
