# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.7:
#
#   smidump -f python CISCO-VLAN-MEMBERSHIP-MIB

FILENAME = "CISCO-VLAN-MEMBERSHIP-MIB.my"

MIB = {
    "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",

    "CISCO-VLAN-MEMBERSHIP-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Cisco Systems Inc.""",
        "contact" : 
            """Cisco Systems
Customer Service

Postal: 170 W Tasman Drive
San Jose, CA  95134
USA

Tel: +1 800 553-NETS

E-mail: cs-vlans@cisco.com""",
        "description" :
            """The MIB module for the management of the VLAN
Membership within the frame  work of Cisco
VLAN Architecture, v 2.0 by Keith McCloghrie. The MIB
provides information on VLAN Membership Policy Servers
used by a device and VLAN membership assignments of
non-trunk bridge ports of the device.""",
        "revisions" : (
            {
                "date" : "2004-07-16 00:00",
                "description" :
                    """Add vmMembershipSummaryExtTable.""",
            },
            {
                "date" : "2004-04-07 00:00",
                "description" :
                    """Change the SYNTAX of vmMembershipSummaryMember2kPorts
from PortList to CiscoPortList.""",
            },
            {
                "date" : "2003-10-10 00:00",
                "description" :
                    """Add vmVoiceVlanCdpVerifyEnable to support the feature
of voice VLANs' detection through CDP packets.""",
            },
            {
                "date" : "2003-06-05 00:00",
                "description" :
                    """Deprecate vmMembershipSummaryMemberPorts and define
vmMembershipSummaryMember2kPorts to support up to 2k 
bridge ports.""",
            },
            {
                "date" : "2002-03-28 00:00",
                "description" :
                    """Add vmVoiceVlanTable to support VVID feature""",
            },
            {
                "date" : "2001-05-01 00:00",
                "description" :
                    """Import VlanIndex from CISCO-VTP-MIB""",
            },
            {
                "date" : "2001-01-30 00:00",
                "description" :
                    """Corrected description of vmVmpsReconfirmResult""",
            },
            {
                "date" : "2000-01-06 00:00",
                "description" :
                    """Added 4k VLAN support""",
            },
            {
                "date" : "1999-01-18 00:00",
                "description" :
                    """Add vmNotificationsEnabled.
Add support for multi-vlan ports.
            Other minor edits.""",
            },
            {
                "date" : "1996-12-06 00:00",
                "description" :
                    """Initial version of this MIB module.""",
            },
        ),
        "identity node" : "ciscoVlanMembershipMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "NOTIFICATION-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "IpAddress"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-CONF", "name" : "NOTIFICATION-GROUP"},
        {"module" : "SNMPv2-TC", "name" : "RowStatus"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "IF-MIB", "name" : "ifIndex"},
        {"module" : "CISCO-SMI", "name" : "ciscoMgmt"},
        {"module" : "CISCO-VTP-MIB", "name" : "VlanIndex"},
        {"module" : "CISCO-TC", "name" : "CiscoPortList"},
        {"module" : "CISCO-TC", "name" : "CiscoPortListRange"},
    ),

    "nodes" : {
        "ciscoVlanMembershipMIB" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68",
            "status" : "current",
        }, # node
        "ciscoVlanMembershipMIBObjects" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1",
        }, # node
        "vmVmps" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1",
        }, # node
        "vmVmpsVQPVersion" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The VLAN Query Protocol (VQP) version supported on
the device. VQP is the protocol used to query
VLAN Membership Policy Server (VMPS) for VLAN
membership assignments of dynamic VLAN ports.
A VMPS provides VLAN membership policy
assignments based on the content of the packets
received on a port.""",
        }, # scalar
        "vmVmpsRetries" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "10"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "10"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The number of retries for VQP requests to a VMPS before
using the next available VMPS.""",
        }, # scalar
        "vmVmpsReconfirmInterval" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "120"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "120"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "60",
            "units" : "Minutes",
            "description" :
                """The switch will reconfirm membership of addresses on
each port with VMPS periodically. This object specifies
the interval to perform reconfirmation. If the value is
set to 0, the switch does not reconfirm membership with
VMPS.""",
        }, # scalar
        "vmVmpsReconfirm" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "ready" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "execute" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """Setting this object to execute(2) causes the switch
to reconfirm membership of every dynamic port.
Reading this object always return ready(1).""",
        }, # scalar
        "vmVmpsReconfirmResult" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "inProgress" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "success" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "noResponse" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "noVmps" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "noDynamicPort" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "noHostConnected" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """This object returns the result of the last request
that sets vmVmpsReconfirm to execute(2). The
semantics of the possible results are as follows:

     other(1)           - none of following
     inProgress(2)      - reconfirm in progress
     success(3)         - reconfirm completed successfully
     noResponse(4)      - reconfirm failed because no
                          VMPS responded
     noVmps(5)          - No VMPS configured
     noDynamicPort(6)   - No dynamic ports configured
     noHostConnected(7) - No hosts on dynamic ports""",
        }, # scalar
        "vmVmpsCurrent" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """This is the IpAddress of the current VMPS used.""",
        }, # scalar
        "vmVmpsTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.7",
            "status" : "current",
            "description" :
                """A table of VMPS to use. The device will use
the the primary VMPS by default. If the
device is unable to reach the primary server
after vmVmpsRetries retries, it uses the first
secondary server in the table until it runs out
of secondary servers, in which case it will return
to using the primary server. Entries in this table
may be created and deleted via this MIB or
the management console on a device.""",
        }, # table
        "vmVmpsEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.7.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "vmVmpsIpAddress",
            ],
            "description" :
                """An entry (conceptual row) in the vmVmpsTable.""",
        }, # row
        "vmVmpsIpAddress" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.7.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The Ip Address of the VMPS.""",
        }, # column
        "vmVmpsPrimary" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.7.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """The status of the VMPS. Setting this value
to true will make this VMPS the primary server
and make the switch use this as the current server.
Setting this entry to true causes other rows
to transition to false. Attempting to write
a value of false after creation will result in
a return of bad value. Deleting an entry whose
value is true will result in the first entry
in the table being set to true.""",
        }, # column
        "vmVmpsRowStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.1.7.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status of this conceptual row.""",
        }, # column
        "vmMembership" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2",
        }, # node
        "vmMembershipSummaryTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.1",
            "status" : "current",
            "description" :
                """A summary of VLAN membership of non-trunk
bridge ports. This is a convenience table
for retrieving VLAN membership information.

A row is created for a VLAN if:
a) the VLAN exists, or
b) a port is assigned to a non-existent VLAN.

VLAN membership can only be modified via the
vmMembershipTable.""",
        }, # table
        "vmMembershipSummaryEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.1.1",
            "status" : "current",
            "linkage" : [
                "vmMembershipSummaryVlanIndex",
            ],
            "description" :
                """An entry (conceptual row) in the
vmMembershipSummaryTable.""",
        }, # row
        "vmMembershipSummaryVlanIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-VTP-MIB", "name" : "VlanIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The VLAN id of the VLAN.""",
        }, # column
        "vmMembershipSummaryMemberPorts" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.1.1.2",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "128"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "128"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The set of the device's member ports that belong
to the VLAN.

Each octet within the value of this object specifies a
set of eight ports, with the first octet specifying ports
1 through 8, the second octet specifying ports 9
through 16, etc.   Within each octet, the most
significant bit represents the lowest numbered
port, and the least significant bit represents the
highest numbered port.  Thus, each port of the
VLAN is represented by a single bit within the
value of this object.  If that bit has a value of
'1' then that port is included in the set of
ports; the port is not included if its bit has a
value of '0'.

A port number is the value of dot1dBasePort for
the port in the BRIDGE-MIB (RFC 1493).""",
        }, # column
        "vmMembershipSummaryMember2kPorts" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "CiscoPortList"},
            },
            "access" : "readonly",
            "description" :
                """The set of the device's member ports that belong
to the VLAN. It has the VLAN membership information
of up to 2048 ports with the port number from 1 to 
2048.

Each octet within the value of this object specifies a
set of eight ports, with the first octet specifying 
ports 1 through 8, the second octet specifying ports 9
through 16, etc.   Within each octet, the most
significant bit represents the lowest numbered
port, and the least significant bit represents the
highest numbered port.  Thus, each port of the
VLAN is represented by a single bit within the
value of this object.  If that bit has a value of
'1' then that port is included in the set of
ports; the port is not included if its bit has a
value of '0'.

A port number is the value of dot1dBasePort for
the port in the BRIDGE-MIB (RFC 1493).""",
        }, # column
        "vmMembershipTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.2",
            "status" : "current",
            "description" :
                """A table for configuring VLAN port membership.
There is one row for each bridge port that is
assigned to a static or dynamic access port. Trunk
ports are not  represented in this table.  An entry
may be created and deleted when ports are created or
deleted via SNMP or the management console on a 
device.""",
        }, # table
        "vmMembershipEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.2.1",
            "status" : "current",
            "linkage" : [
                "ifIndex",
            ],
            "description" :
                """An entry (conceptual row) in the vmMembershipTable.""",
        }, # row
        "vmVlanType" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.2.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "static" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "dynamic" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "multiVlan" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The type of VLAN membership assigned to this port.
A port with static vlan membership is assigned to a
single VLAN directly. A port with dynamic membership
is assigned a single VLAN based on content of packets
received on the port and via VQP queries to VMPS.
A port with multiVlan membership may be assigned to
one or more VLANs directly.

A static or dynamic port membership is specified
by the value of vmVlan. A multiVlan port membership is
specified by the value of vmVlans.""",
        }, # column
        "vmVlan" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.2.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "4095"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "4095"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The VLAN id of the VLAN the port is assigned to
when vmVlanType is set to static or dynamic.
This object is not instantiated if not applicable.

The value may be 0 if the port is not assigned
to a VLAN.

If vmVlanType is static, the port is always
assigned to a VLAN and the object may not be
set to 0.

If vmVlanType is dynamic the object's value is
0 if the port is currently not assigned to a VLAN.
In addition, the object may be set to 0 only.""",
        }, # column
        "vmPortStatus" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.2.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "inactive" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "active" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "shutdown" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """An indication of the current VLAN status of the port.
A status of inactive(1) indicates that a dynamic port
does not yet have a VLAN assigned, or a port is 
assigned to a VLAN that is currently not active. A 
status of active(2) indicates that the currently 
assigned VLAN is active. A status of shutdown(3) 
indicates that the port has been disabled as a result
of VQP shutdown response.""",
        }, # column
        "vmVlans" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.2.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "128"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "128"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The VLAN(s) the port is assigned to when the
port's vmVlanType is set to multiVlan.
This object is not instantiated if not applicable.

The port is always assigned to one or more VLANs
and the object may not be set so that there are
no vlans assigned.

Each octet within the value of this object specifies a
set of eight VLANs, with the first octet specifying
VLAN id 1 through 8, the second octet specifying VLAN
ids 9 through 16, etc.   Within each octet, the most
significant bit represents the lowest numbered
VLAN id, and the least significant bit represents the
highest numbered VLAN id.  Thus, each VLAN of the
port is represented by a single bit within the
value of this object.  If that bit has a value of
'1' then that VLAN is included in the set of
VLANs; the VLAN is not included if its bit has a
value of '0'.""",
        }, # column
        "vmVlans2k" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.2.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "128"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "128"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The VLAN(s) the port is assigned to when the
port's vmVlanType is set to multiVlan.
This object is not instantiated if not applicable.

The port is always assigned to one or more VLANs
and the object may not be set so that there are
no vlans assigned.

Each octet within the value of this object specifies a
set of eight VLANs, with the first octet specifying
VLAN id 1024 through 1031, the second octet specifying 
VLAN ids 1032 through 1039, etc.  Within each octet, 
the most significant bit represents the lowest 
numbered VLAN id, and the least significant bit 
represents the highest numbered VLAN id.  Thus, each 
VLAN of the port is represented by a single bit within
the value of this object.  If that bit has a value of
'1' then that VLAN is included in the set of
VLANs; the VLAN is not included if its bit has a
value of '0'.""",
        }, # column
        "vmVlans3k" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.2.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "128"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "128"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The VLAN(s) the port is assigned to when the
port's vmVlanType is set to multiVlan.
This object is not instantiated if not applicable.

The port is always assigned to one or more VLANs
and the object may not be set so that there are
no vlans assigned.

Each octet within the value of this object specifies a
set of eight VLANs, with the first octet specifying
VLAN id 2048 through 2055, the second octet specifying 
VLAN ids 2056 through 2063, etc.   Within each octet, 
the most significant bit represents the lowest 
numbered VLAN id, and the least significant bit 
represents the highest numbered VLAN id.  Thus, each
VLAN of the port is represented by a single bit within
the value of this object.  If that bit has a value of
'1' then that VLAN is included in the set of
VLANs; the VLAN is not included if its bit has a
value of '0'.""",
        }, # column
        "vmVlans4k" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.2.1.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "128"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "128"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The VLAN(s) the port is assigned to when the
port's vmVlanType is set to multiVlan.
This object is not instantiated if not applicable.

The port is always assigned to one or more VLANs
and the object may not be set so that there are
no vlans assigned.

Each octet within the value of this object specifies a
set of eight VLANs, with the first octet specifying
VLAN id 3072 through 3079, the second octet specifying 
VLAN ids 3040 through 3047, etc.   Within each octet, 
the most significant bit represents the lowest 
numbered VLAN id, and the least significant bit 
represents the highest numbered VLAN id.  Thus, each
VLAN of the port is represented by a single bit within
the value of this object.  If that bit has a value of
'1' then that VLAN is included in the set of
VLANs; the VLAN is not included if its bit has a
value of '0'.""",
        }, # column
        "vmMembershipSummaryExtTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.3",
            "status" : "current",
            "description" :
                """A summary of VLAN membership of non-trunk
bridge ports. This table is used for 
retrieving VLAN membership information
for the device which supports dot1dBasePort 
with value greater than 2048.

A row is created for a VLAN and a particular
bridge port range, where at least one port 
in the range is assigned to this VLAN.

VLAN membership can only be modified via the
vmMembershipTable.""",
        }, # table
        "vmMembershipSummaryExtEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.3.1",
            "status" : "current",
            "linkage" : [
                "vmMembershipSummaryVlanIndex",
                "vmMembershipPortRangeIndex",
            ],
            "description" :
                """An entry (conceptual row) in the
vmMembershipSummaryExtTable.""",
        }, # row
        "vmMembershipPortRangeIndex" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "CiscoPortListRange"},
            },
            "access" : "noaccess",
            "description" :
                """The bridge port range index of this row.""",
        }, # column
        "vmMembershipSummaryExtPorts" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.2.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"CISCO-TC", "name" : "CiscoPortList"},
            },
            "access" : "readonly",
            "description" :
                """The set of the device's member ports that belong
to the VLAN. It has the VLAN membership information
of up to 2k ports with the port number starting from
the information indicated in vmMembershipPortRangeIndex
object of the same row. For example, if the value
of vmMembershipPortRangeIndex is 'twoKto4K', the
port number indicated in this object starting from
2049 and ending to 4096. 

A port number is the value of dot1dBasePort for
the port in the BRIDGE-MIB (RFC 1493).""",
        }, # column
        "vmStatistics" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.3",
        }, # node
        "vmVQPQueries" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.3.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of VQP requests sent by this device
to all VMPS since last system re-initialization.""",
        }, # scalar
        "vmVQPResponses" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.3.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of VQP responses received by this device
from all VMPS since last system re-initialization.""",
        }, # scalar
        "vmVmpsChanges" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.3.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times, since last system
re-initialization, the current VMPS was changed. The
current VMPS is changed whenever the VMPS fails to 
response after vmVmpsRetries of a VQP request.""",
        }, # scalar
        "vmVQPShutdown" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.3.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times, since last system
re-initialization, a VQP response indicates 
'shutdown'. A 'shutdown' response is a result of 
the membership policy configured at a VMPS
by the administrator.""",
        }, # scalar
        "vmVQPDenied" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.3.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times, since last system
re-initialization, a VQP response indicates 
'denied'. A 'denied' response is a result of 
the membership policy configured at a VMPS
by the administrator.""",
        }, # scalar
        "vmVQPWrongDomain" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.3.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times, since last system
re-initialization, a VQP response indicates wrong 
management domain. A wrong management domain 
response indicates that the VMPS used serves a 
management domain that is different
from the device's management domain.""",
        }, # scalar
        "vmVQPWrongVersion" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.3.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times, since last system
re-initialization, a VQP response indicates wrong 
VQP version. A wrong VQP version response 
indicates that the VMPS used supports a VQP 
version that is different from the device's 
VQP version.""",
        }, # scalar
        "vmInsufficientResources" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.3.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times, since last system
re-initialization, a VQP response indicates 
insufficient resources. An insufficient resources 
response indicates that the VMPS used does not 
have the required resources to verify the
membership assignment requested.""",
        }, # scalar
        "vmStatus" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.4",
        }, # node
        "vmNotificationsEnabled" : {
            "nodetype" : "scalar",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.4.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """An indication of whether the notifications/traps
defined in this MIB are enabled.""",
        }, # scalar
        "vmVoiceVlan" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.5",
        }, # node
        "vmVoiceVlanTable" : {
            "nodetype" : "table",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.5.1",
            "status" : "current",
            "description" :
                """A table for configuring the Voice VLAN-ID
for the ports. An entry will exist for each
interface which supports Voice Vlan feature.""",
        }, # table
        "vmVoiceVlanEntry" : {
            "nodetype" : "row",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.5.1.1",
            "status" : "current",
            "linkage" : [
                "ifIndex",
            ],
            "description" :
                """An entry (conceptual row) in the vmVoiceVlanTable.
Only interfaces which support Voice Vlan feature
are shown.""",
        }, # row
        "vmVoiceVlanId" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.5.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "4096"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "4096"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The Voice Vlan ID (VVID) to which this
port belongs to.

0    -    The CDP packets transmitting 
          through this port would contain
          Appliance VLAN-ID TLV with value 
          of 0. VoIP and related packets 
          are expected to be sent and 
          received with VLAN-id=0 and an 
          802.1p priority. 

1..4094 - The CDP packets transmitting
          through this port would contain
          Appliance VLAN-ID TLV with N.
          VoIP and related packets are
          expected to be sent and received
          with VLAN-id=N and an 802.1p
          priority.

4095  -   The CDP packets transmitting
          through this port would contain
          Appliance VLAN-ID TLV with value
          of 4095. VoIP and related packets
          are expected to be sent and 
          received untagged without an 
          802.1p priority.

4096  -   The CDP packets transmitting 
          through this port would not 
          include Appliance VLAN-ID TLV; 
          or, if the VVID is not supported 
          on the port, this MIB object will
          not be configurable and will 
          return 4096.""",
        }, # column
        "vmVoiceVlanCdpVerifyEnable" : {
            "nodetype" : "column",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.1.5.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "description" :
                """Enable or Disable the feature of CDP message
verification of voice VLANs.

true   - The voice VLAN vmVoiceVlan is enabled 
         only after CDP messages are received 
         from the IP phone.

false -  The voice VLAN vmVoiceVlan is enabled
         as soon as the IP phone interface is
         up. There is no verification needed 
         from CDP messages from the IP phone.""",
        }, # column
        "vmNotifications" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.2",
        }, # node
        "vmNotificationsPrefix" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.2.0",
        }, # node
        "vmMIBConformance" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3",
        }, # node
        "vmMIBCompliances" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.1",
        }, # node
        "vmMIBGroups" : {
            "nodetype" : "node",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2",
        }, # node
    }, # nodes

    "notifications" : {
        "vmVmpsChange" : {
            "nodetype" : "notification",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.2.0.1",
            "status" : "current",
            "objects" : {
                "vmVmpsIpAddress" : {
                    "nodetype" : "object",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            },
            "description" :
                """A VMPS change notification is generated whenever
vmVmpsChanges is incremented. The IP address
of the new VMPS is sent.""",
        }, # notification
    }, # notifications

    "groups" : {
        "vmMembershipGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.1",
            "status" : "deprecated",
            "members" : {
                "vmMembershipSummaryMemberPorts" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVlan" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVlanType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmPortStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for displaying and
configuring VLAN membership.""",
        }, # group
        "vmVQPClientGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.2",
            "status" : "current",
            "members" : {
                "vmVmpsVQPVersion" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVmpsRetries" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVmpsReconfirm" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVmpsReconfirmInterval" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVmpsReconfirmResult" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVmpsCurrent" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVmpsIpAddress" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVmpsPrimary" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVmpsRowStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPQueries" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPResponses" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVmpsChanges" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPShutdown" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPDenied" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPWrongDomain" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPWrongVersion" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmInsufficientResources" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for the managing a VQP
client.""",
        }, # group
        "vmVQPNotificationsGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.3",
            "status" : "current",
            "members" : {
                "vmVmpsChange" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """The notification group for a VQP client.""",
        }, # group
        "vmStatusGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.4",
            "status" : "current",
            "members" : {
                "vmNotificationsEnabled" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for conveying general
status information.""",
        }, # group
        "vmMembershipGroup2" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.5",
            "status" : "deprecated",
            "members" : {
                "vmMembershipSummaryMemberPorts" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVlan" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVlans" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVlanType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmPortStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for displaying and
configuring VLAN membership.""",
        }, # group
        "vm4kVlanGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.6",
            "status" : "current",
            "members" : {
                "vmVlans2k" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVlans3k" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVlans4k" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing multiVlan
information for VLANS with VlanIndex from 
1024 to 4095 which are assigned to one port.""",
        }, # group
        "vmVoiceVlanGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.7",
            "status" : "current",
            "members" : {
                "vmVoiceVlanId" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing information
of Voice Vlan feature.""",
        }, # group
        "vm1kVlanGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.8",
            "status" : "current",
            "members" : {
                "vmVlans" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing multiVlan
information for VLANS with VlanIndex from 
0 to 1023 which are assigned to one port.""",
        }, # group
        "vmMembershipGroup3" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.9",
            "status" : "current",
            "members" : {
                "vmMembershipSummaryMember2kPorts" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVlan" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVlanType" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmPortStatus" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects for displaying and
configuring VLAN membership.""",
        }, # group
        "vmVoiceVlanExtGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.10",
            "status" : "current",
            "members" : {
                "vmVoiceVlanCdpVerifyEnable" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing the
information of CDP verification 
of Voice Vlan feature.""",
        }, # group
        "vmMembershipExtGroup" : {
            "nodetype" : "group",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.2.11",
            "status" : "current",
            "members" : {
                "vmMembershipSummaryExtPorts" : {
                    "nodetype" : "member",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
            }, # members
            "description" :
                """A collection of objects providing
information for VLAN membership with 
bridge port ID greater than 2048.""",
        }, # group
    }, # groups

    "compliances" : {
        "vmMIBCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.1.1",
            "status" : "obsolete",
            "description" :
                """The   compliance   statement for   entities    which
implement the VLANs.""",
            "requires" : {
                "vmMembershipGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPClientGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
                "vmVQPNotificationsGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
            }, # requires
        }, # compliance
        "vmMIBCompliance2" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.1.2",
            "status" : "deprecated",
            "description" :
                """The   compliance   statement for   entities    which
implement the VLANs.""",
            "requires" : {
                "vmMembershipGroup2" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPClientGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
                "vmVQPNotificationsGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
            }, # requires
        }, # compliance
        "vmMIBCompliance3" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.1.3",
            "status" : "deprecated",
            "description" :
                """The   compliance   statement for   entities    which
implement the VLANs.""",
            "requires" : {
                "vmMembershipGroup2" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPClientGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
                "vmVQPNotificationsGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
                "vm4kVlanGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the range of VlanIndex
between 1024 and 4095.""",
                },
            }, # requires
        }, # compliance
        "vmMIBCompliance4" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.1.4",
            "status" : "deprecated",
            "description" :
                """The   compliance   statement for   entities    which
implement the VLANs.""",
            "requires" : {
                "vmMembershipGroup3" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPClientGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
                "vmVQPNotificationsGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
                "vm1kVlanGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the multiVlan
membership.""",
                },
                "vm4kVlanGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the range of VlanIndex
between 1024 and 4095 and multiVlan
membership.""",
                },
                "vmStatusGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the 
traps/notifications defined in this
MIB.""",
                },
                "vmVoiceVlanGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the Voice VLAN
feature.""",
                },
            }, # requires
            "refinements" : {
                "vmVlanType" : {
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "static" : {
                                "nodetype" : "namednumber",
                                "number" : "1"
                            },
                        },
                    }, # syntax
                    "access" : "readonly",
                    "description" :
                        """Write access is not required. Only static(1)
is required to be implemented.""",
                },
            }, # refinements

        }, # compliance
        "vmMIBCompliance5" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.1.5",
            "status" : "deprecated",
            "description" :
                """The compliance statement for entities which
implement the VLANs.""",
            "requires" : {
                "vmMembershipGroup3" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPClientGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
                "vmVQPNotificationsGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
                "vm1kVlanGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the multiVlan
membership.""",
                },
                "vm4kVlanGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the range of VlanIndex
between 1024 and 4095 and multiVlan
membership.""",
                },
                "vmStatusGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the
traps/notifications defined in this
MIB.""",
                },
                "vmVoiceVlanGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the Voice VLAN
feature.""",
                },
                "vmVoiceVlanExtGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the CDP only
verification of Voice VLAN feature.""",
                },
            }, # requires
            "refinements" : {
                "vmVlanType" : {
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "static" : {
                                "nodetype" : "namednumber",
                                "number" : "1"
                            },
                        },
                    }, # syntax
                    "access" : "readonly",
                    "description" :
                        """Write access is not required. Only static(1)
is required to be implemented.""",
                },
            }, # refinements

        }, # compliance
        "vmMIBCompliance6" : {
            "nodetype" : "compliance",
            "moduleName" : "CISCO-VLAN-MEMBERSHIP-MIB",
            "oid" : "1.3.6.1.4.1.9.9.68.3.1.6",
            "status" : "current",
            "description" :
                """The compliance statement for entities which
implement the VLANs.""",
            "requires" : {
                "vmMembershipGroup3" : {
                    "nodetype" : "mandatory",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB"
                },
                "vmVQPClientGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
                "vmVQPNotificationsGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """A VQP client must implement this group.""",
                },
                "vm1kVlanGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the multiVlan
membership.""",
                },
                "vm4kVlanGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the range of VlanIndex
between 1024 and 4095 and multiVlan
membership.""",
                },
                "vmStatusGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the
traps/notifications defined in this
MIB.""",
                },
                "vmVoiceVlanGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the Voice VLAN
feature.""",
                },
                "vmVoiceVlanExtGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the CDP only
verification of Voice VLAN feature.""",
                },
                "vmMembershipExtGroup" : {
                    "nodetype" : "optional",
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "description" :
                        """This group must be implemented by the
entities which support the VLAN 
membership feature with bridge port 
ID greater than 2048.""",
                },
            }, # requires
            "refinements" : {
                "vmVlanType" : {
                    "module" : "CISCO-VLAN-MEMBERSHIP-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "static" : {
                                "nodetype" : "namednumber",
                                "number" : "1"
                            },
                        },
                    }, # syntax
                    "access" : "readonly",
                    "description" :
                        """Write access is not required. Only static(1)
is required to be implemented.""",
                },
            }, # refinements

        }, # compliance
    }, # compliances

}
