# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python FAN-MIB

FILENAME = "FAN-MIB.mib"

MIB = {
    "moduleName" : "FAN-MIB",

    "FAN-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """Hewitt-Packard""",
        "contact" : 
            """k-p-rama.murthy@hp.com""",
        "description" :
            """The MIB module is for representing switch fan entity.""",
        "revisions" : (
            {
                "date" : "2008-08-27 10:30",
                "description" :
                    """Revision 01.""",
            },
        ),
        "identity node" : "hpicfFanMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "HP-ICF-OID", "name" : "hpSwitch"},
    ),

    "typedefs" : {
        "HpicfDcFanIndex" : {
            "basetype" : "Unsigned32",
            "status" : "current",
            "format" : "d",
            "description" :
                """A unique value that serves as an index to identify the fan.""",
        },
        "HpicfDcFanType" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "unknown" : {
                "nodetype" : "namednumber",
                "number" : "0"
            },
            "mm" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "fm" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "im" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "ps" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "rollup" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "maxtype" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "description" :
                """An enumerated value that indications the fan types.""",
        },
        "HpicfDcFanAirflowDirection" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "portToPower" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "powerToPort" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "description" :
                """An enumerated value which provides an indication of the
fan airflow direction. The Physical fan airflow direction
could be either from the port towards the power supply
module i.e. portToPower(1), or from the power supply module
towards the port i.e. powerToPort(2)""",
        },
        "HpicfDcFanState" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "failed" : {
                "nodetype" : "namednumber",
                "number" : "0"
            },
            "removed" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "off" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "underspeed" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "overspeed" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "ok" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "maxstate" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "description" :
                """An enumerated value which provides an indication of the
fan state.""",
        },
    }, # typedefs

    "nodes" : {
        "hpicfFanMIB" : {
            "nodetype" : "node",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54",
            "status" : "current",
        }, # node
        "hpicfFanScalars" : {
            "nodetype" : "node",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.1",
        }, # node
        "hpicfFanUserPrefAirflowDir" : {
            "nodetype" : "scalar",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.1.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "portToPower" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "powerToPort" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "powerToPort",
            "description" :
                """The user preferred fan airflow direction. The direction could be
powerToPort or portToPower. The actual fan direction has to be 
changed manually, this will be used to indicate to the user when
when the actual fan airflow direction is different from the user
preferred airflow direction.""",
        }, # scalar
        "hpicfEntityFan" : {
            "nodetype" : "node",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.2",
        }, # node
        "hpicfFanTable" : {
            "nodetype" : "table",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.2.1",
            "status" : "current",
            "description" :
                """This table contains one row for every fan in the switch entity.""",
        }, # table
        "hpicfFanEntry" : {
            "nodetype" : "row",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.2.1.1",
            "status" : "current",
            "linkage" : [
                "hpicfFanIndex",
            ],
            "description" :
                """Information about fan entity table.""",
        }, # row
        "hpicfFanIndex" : {
            "nodetype" : "column",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.2.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"FAN-MIB", "name" : "HpicfDcFanIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The index that is used to access the switch fan entry table.""",
        }, # column
        "hpicfFanTray" : {
            "nodetype" : "column",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.2.1.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """The tray number in which the fan is docked.""",
        }, # column
        "hpicfFanType" : {
            "nodetype" : "column",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.2.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"FAN-MIB", "name" : "HpicfDcFanType"},
            },
            "access" : "readonly",
            "description" :
                """An indication of the vendor-specific fan.""",
        }, # column
        "hpicfFanState" : {
            "nodetype" : "column",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.2.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"FAN-MIB", "name" : "HpicfDcFanState"},
            },
            "access" : "readonly",
            "description" :
                """The current state of the fan.""",
        }, # column
        "hpicfFanRecovering" : {
            "nodetype" : "column",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.2.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """An indication that the switch fan entity is faulty.
Before declaring a fan to be good after a failure is 
detected, the same good indication must happen five (5)
times in a row. A failure indication is always TRUE, while
a good indication could be FALSE, hence this parameter is 
used to count the repeated good indications before 
declaring the fan to be good """,
        }, # column
        "hpicfFanNumFailures" : {
            "nodetype" : "column",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.2.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of times the fan has failed.""",
        }, # column
        "hpicfFanAirflowDirection" : {
            "nodetype" : "column",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.2.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"FAN-MIB", "name" : "HpicfDcFanAirflowDirection"},
            },
            "access" : "readonly",
            "description" :
                """Indication of the fan air flow direction, either
from Power supply towards the port or from the port
towards the power supply.""",
        }, # column
        "hpicfFanConformance" : {
            "nodetype" : "node",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.3",
        }, # node
        "hpicfFanCompliance" : {
            "nodetype" : "node",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.3.1",
        }, # node
        "hpicfFanGroups" : {
            "nodetype" : "node",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.3.2",
        }, # node
    }, # nodes

    "groups" : {
        "hpicfFanScalarsGroup" : {
            "nodetype" : "group",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.3.2.1",
            "status" : "current",
            "members" : {
                "hpicfFanUserPrefAirflowDir" : {
                    "nodetype" : "member",
                    "module" : "FAN-MIB"
                },
            }, # members
            "description" :
                """Basic Scalars required in FAN MIB implementation.""",
        }, # group
        "hpicfFanGroup" : {
            "nodetype" : "group",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.3.2.2",
            "status" : "current",
            "members" : {
                "hpicfFanTray" : {
                    "nodetype" : "member",
                    "module" : "FAN-MIB"
                },
                "hpicfFanType" : {
                    "nodetype" : "member",
                    "module" : "FAN-MIB"
                },
                "hpicfFanState" : {
                    "nodetype" : "member",
                    "module" : "FAN-MIB"
                },
                "hpicfFanRecovering" : {
                    "nodetype" : "member",
                    "module" : "FAN-MIB"
                },
                "hpicfFanNumFailures" : {
                    "nodetype" : "member",
                    "module" : "FAN-MIB"
                },
                "hpicfFanAirflowDirection" : {
                    "nodetype" : "member",
                    "module" : "FAN-MIB"
                },
            }, # members
            "description" :
                """FAN MIB parameters """,
        }, # group
    }, # groups

    "compliances" : {
        "hpicfDcFanCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "FAN-MIB",
            "oid" : "1.3.6.1.4.1.11.2.14.11.5.1.54.3.1.1",
            "status" : "current",
            "description" :
                """The compliance statement for entries which implement 
the FAN MIB.""",
            "requires" : {
                "hpicfFanScalarsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "FAN-MIB"
                },
                "hpicfFanGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "FAN-MIB"
                },
                "hpicfFanGroup" : {
                    "nodetype" : "optional",
                    "module" : "FAN-MIB",
                    "description" :
                        """Objects associated with switch entity FAN.""",
                },
            }, # requires
        }, # compliance
    }, # compliances

}
