# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.8:
#
#   smidump -f python VRRP-MIB

FILENAME = "VRRP-MIB"

MIB = {
    "moduleName" : "VRRP-MIB",

    "VRRP-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """IETF VRRP Working Group""",
        "contact" : 
            """Brian R. Jewell
Postal: Copper Mountain Networks, Inc.
        2470 Embarcadero Way
        Palo Alto, California 94303
Tel:    +1 650 687 3367
E-Mail: bjewell@coppermountain.com""",
        "description" :
            """This MIB describes objects used for managing Virtual Router
Redundancy Protocol (VRRP) routers.""",
        "revisions" : (
            {
                "date" : "2000-03-03 00:00",
                "description" :
                    """Initial version as published in RFC 2787.""",
            },
        ),
        "identity node" : "vrrpMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "NOTIFICATION-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "IpAddress"},
        {"module" : "SNMPv2-SMI", "name" : "mib-2"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-TC", "name" : "RowStatus"},
        {"module" : "SNMPv2-TC", "name" : "MacAddress"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-TC", "name" : "TimeStamp"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "SNMPv2-CONF", "name" : "NOTIFICATION-GROUP"},
        {"module" : "IF-MIB", "name" : "ifIndex"},
    ),

    "typedefs" : {
        "VrId" : {
            "basetype" : "Integer32",
            "status" : "current",
            "ranges" : [
            {
                "min" : "1",
                "max" : "255"
            },
            ],
            "range" : {
                "min" : "1",
                "max" : "255"
            },
            "description" :
                """A number which, along with an interface index (ifIndex),
serves to uniquely identify a virtual router on a given VRRP
router. A set of one or more associated addresses is assigned
to a VRID.""",
        },
    }, # typedefs

    "nodes" : {
        "vrrpMIB" : {
            "nodetype" : "node",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68",
            "status" : "current",
        }, # node
        "vrrpNotifications" : {
            "nodetype" : "node",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.0",
        }, # node
        "vrrpOperations" : {
            "nodetype" : "node",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1",
        }, # node
        "vrrpNodeVersion" : {
            "nodetype" : "scalar",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "description" :
                """This value identifies the particular version of the VRRP
supported by this node.""",
        }, # scalar
        "vrrpNotificationCntl" : {
            "nodetype" : "scalar",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "enabled" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "disabled" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "enabled",
            "description" :
                """Indicates whether the VRRP-enabled router will generate
SNMP traps for events defined in this MIB. 'Enabled'
results in SNMP traps; 'disabled', no traps are sent.""",
        }, # scalar
        "vrrpOperTable" : {
            "nodetype" : "table",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3",
            "status" : "current",
            "description" :
                """Operations table for a VRRP router which consists of a
sequence (i.e., one or more conceptual rows) of
'vrrpOperEntry' items.""",
        }, # table
        "vrrpOperEntry" : {
            "nodetype" : "row",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "ifIndex",
                "vrrpOperVrId",
            ],
            "description" :
                """An entry in the vrrpOperTable containing the operational
characteristics of a virtual router. On a VRRP router,
a given virtual router is identified by a combination
of the IF index and VRID.

Rows in the table cannot be modified unless the value
of `vrrpOperAdminState' is `disabled' and the
`vrrpOperState' has transitioned to `initialize'.""",
        }, # row
        "vrrpOperVrId" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"VRRP-MIB", "name" : "VrId"},
            },
            "access" : "noaccess",
            "description" :
                """This object contains the Virtual Router Identifier (VRID).""",
        }, # column
        "vrrpOperVirtualMacAddr" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "MacAddress"},
            },
            "access" : "readonly",
            "description" :
                """The virtual MAC address of the virtual router. Although this
object can be derived from the 'vrrpOperVrId' object, it is
defined so that it is easily obtainable by a management
application and can be included in VRRP-related SNMP traps.""",
        }, # column
        "vrrpOperState" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "initialize" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "backup" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "master" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The current state of the virtual router. This object has
three defined values:

  - `initialize', which indicates that all the
    virtual router is waiting for a startup event.

  - `backup', which indicates the virtual router is
    monitoring the availability of the master router.

  - `master', which indicates that the virtual router
    is forwarding packets for IP addresses that are
    associated with this router.

Setting the `vrrpOperAdminState' object (below) initiates

transitions in the value of this object.""",
        }, # column
        "vrrpOperAdminState" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "up" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "down" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "down",
            "description" :
                """This object will enable/disable the virtual router
function. Setting the value to `up', will transition
the state of the virtual router from `initialize' to `backup'
or `master', depending on the value of `vrrpOperPriority'.
Setting the value to `down', will transition  the
router from `master' or `backup' to `initialize'. State
transitions may not be immediate; they sometimes depend on
other factors, such as the interface (IF) state.

The `vrrpOperAdminState' object must be set to `down' prior
to modifying the other read-create objects in the conceptual
row. The value of the `vrrpOperRowStatus' object (below)
must be `active', signifying that the conceptual row
is valid (i.e., the objects are correctly set),
in order for this object to be set to `up'.""",
        }, # column
        "vrrpOperPriority" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "100",
            "description" :
                """This object specifies the priority to be used for the
virtual router master election process. Higher values imply
higher priority.

A priority of '0', although not settable, is sent by
the master router to indicate that this router has ceased
to participate in VRRP and a backup virtual router should
transition  to become a new master.

A priority of 255 is used for the router that owns the
associated IP address(es).""",
        }, # column
        "vrrpOperIpAddrCount" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The number of IP addresses that are associated with this
virtual router. This number is equal to the number of rows
in the vrrpAssoIpAddrTable that correspond to a given IF
index/VRID pair.""",
        }, # column
        "vrrpOperMasterIpAddr" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The master router's real (primary) IP address. This is
the IP address listed as the source in VRRP advertisement
last received by this virtual router.""",
        }, # column
        "vrrpOperPrimaryIpAddr" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readwrite",
            "default" : "0x00000000",
            "description" :
                """In the case where there is more than one IP address for
a given `ifIndex', this object is used to specify the IP
address that will become the `vrrpOperMasterIpAddr', should
the virtual router transition from backup to master. If
this object is set to 0.0.0.0, the IP address which is
numerically lowest will be selected.""",
        }, # column
        "vrrpOperAuthType" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.9",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "noAuthentication" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "simpleTextPassword" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "ipAuthenticationHeader" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "noAuthentication",
            "description" :
                """Authentication type used for VRRP protocol exchanges between
virtual routers. This value of this object is the same for a
given ifIndex.

New enumerations to this list can only be added via a new
RFC on the standards track.""",
        }, # column
        "vrrpOperAuthKey" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.10",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "16"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "16"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The Authentication Key. This object is set according to
the value of the 'vrrpOperAuthType' object
('simpleTextPassword' or 'ipAuthenticationHeader'). If the
length of the value is less than 16 octets, the agent will
left adjust and zero fill to 16 octets. The value of this
object is the same for a given ifIndex.

When read, vrrpOperAuthKey always returns an Octet String
of length zero.""",
        }, # column
        "vrrpOperAdvertisementInterval" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.11",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "255"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "1",
            "units" : "seconds",
            "description" :
                """The time interval, in seconds, between sending
advertisement messages. Only the master router sends
VRRP advertisements.""",
        }, # column
        "vrrpOperPreemptMode" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "true",
            "description" :
                """Controls whether a higher priority virtual router will
preempt a lower priority master.""",
        }, # column
        "vrrpOperVirtualRouterUpTime" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """This is the value of the `sysUpTime' object when this
virtual router (i.e., the `vrrpOperState') transitioned
out of `initialized'.""",
        }, # column
        "vrrpOperProtocol" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.14",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "ip" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "bridge" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "decnet" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "ip",
            "description" :
                """The particular protocol being controlled by this Virtual
Router.

New enumerations to this list can only be added via a new
RFC on the standards track.""",
        }, # column
        "vrrpOperRowStatus" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.3.1.15",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The row status variable, used in accordance to installation
and removal conventions for conceptual rows. The rowstatus of
a currently active row in the vrrpOperTable is constrained
by the operational state of the corresponding virtual router.
When `vrrpOperRowStatus' is set to active(1), no other
objects in the conceptual row, with the exception of
`vrrpOperAdminState', can be modified. Prior to setting the
`vrrpOperRowStatus' object from `active' to a different value,
the `vrrpOperAdminState' object must be set to `down' and the
`vrrpOperState' object be transitioned to `initialize'.

To create a row in this table, a manager sets this object
to either createAndGo(4) or createAndWait(5). Until instances
of all corresponding columns are appropriately configured,
the value of the corresponding instance of the `vrrpOperRowStatus'
column will be read as notReady(3).

In particular, a newly created row cannot be made active(1)
until (minimally) the corresponding instance of
`vrrpOperVrId' has been set and there is at least one active
row in the `vrrpAssoIpAddrTable' defining an associated
IP address for the virtual router.""",
        }, # column
        "vrrpAssoIpAddrTable" : {
            "nodetype" : "table",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.4",
            "status" : "current",
            "description" :
                """The table of addresses associated with this virtual router.""",
        }, # table
        "vrrpAssoIpAddrEntry" : {
            "nodetype" : "row",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.4.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "ifIndex",
                "vrrpOperVrId",
                "vrrpAssoIpAddr",
            ],
            "description" :
                """An entry in the table contains an IP address that is
associated with a virtual router. The number of rows for
a given ifIndex and VrId will equal the number of IP
addresses associated (e.g., backed up) by the virtual
router (equivalent to 'vrrpOperIpAddrCount').

Rows in the table cannot be modified unless the value
of `vrrpOperAdminState' is `disabled' and the
`vrrpOperState' has transitioned to `initialize'.""",
        }, # row
        "vrrpAssoIpAddr" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "noaccess",
            "description" :
                """The assigned IP addresses that a virtual router is
responsible for backing up.""",
        }, # column
        "vrrpAssoIpAddrRowStatus" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The row status variable, used according to installation
and removal conventions for conceptual rows. Setting this
object to active(1) or createAndGo(4) results in the
addition of an associated address for a virtual router.
Destroying the entry or setting it to notInService(2)
removes the associated address from the virtual router.
The use of other values is implementation-dependent.""",
        }, # column
        "vrrpTrapPacketSrc" : {
            "nodetype" : "scalar",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "notifyonly",
            "description" :
                """The IP address of an inbound VRRP packet. Used by
vrrpTrapAuthFailure trap.""",
        }, # scalar
        "vrrpTrapAuthErrorType" : {
            "nodetype" : "scalar",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "invalidAuthType" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "authTypeMismatch" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "authFailure" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "notifyonly",
            "description" :
                """Potential types of configuration conflicts.
Used by vrrpAuthFailure trap.""",
        }, # scalar
        "vrrpStatistics" : {
            "nodetype" : "node",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2",
        }, # node
        "vrrpRouterChecksumErrors" : {
            "nodetype" : "scalar",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of VRRP packets received with an invalid
VRRP checksum value.""",
        }, # scalar
        "vrrpRouterVersionErrors" : {
            "nodetype" : "scalar",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of VRRP packets received with an unknown
or unsupported version number.""",
        }, # scalar
        "vrrpRouterVrIdErrors" : {
            "nodetype" : "scalar",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of VRRP packets received with an invalid
VRID for this virtual router.""",
        }, # scalar
        "vrrpRouterStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4",
            "status" : "current",
            "description" :
                """Table of virtual router statistics.""",
        }, # table
        "vrrpRouterStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1",
            "status" : "current",
            "linkage" : [
                { "VRRP-MIB" : {
                    "indexkind" : "augments",
                    "relatedNode" : "vrrpOperEntry",
                }},
            ],
            "description" :
                """An entry in the table, containing statistics information
about a given virtual router.""",
        }, # row
        "vrrpStatsBecomeMaster" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of times that this virtual router's state
has transitioned to MASTER.""",
        }, # column
        "vrrpStatsAdvertiseRcvd" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of VRRP advertisements received by this
virtual router.""",
        }, # column
        "vrrpStatsAdvertiseIntervalErrors" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of VRRP advertisement packets received
for which the advertisement interval is different than the
one configured for the local virtual router.""",
        }, # column
        "vrrpStatsAuthFailures" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of VRRP packets received that do not pass
the authentication check.""",
        }, # column
        "vrrpStatsIpTtlErrors" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of VRRP packets received by the virtual
router with IP TTL (Time-To-Live) not equal to 255.""",
        }, # column
        "vrrpStatsPriorityZeroPktsRcvd" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of VRRP packets received by the virtual
router with a priority of '0'.""",
        }, # column
        "vrrpStatsPriorityZeroPktsSent" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of VRRP packets sent by the virtual router
with a priority of '0'.""",
        }, # column
        "vrrpStatsInvalidTypePktsRcvd" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of VRRP packets received by the virtual router
with an invalid value in the 'type' field.""",
        }, # column
        "vrrpStatsAddressListErrors" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of packets received for which the address
list does not match the locally configured list for the
virtual router.""",
        }, # column
        "vrrpStatsInvalidAuthType" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of packets received with an unknown

authentication type.""",
        }, # column
        "vrrpStatsAuthTypeMismatch" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of packets received with 'Auth Type' not
equal to the locally configured authentication method
(`vrrpOperAuthType').""",
        }, # column
        "vrrpStatsPacketLengthErrors" : {
            "nodetype" : "column",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.2.4.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of packets received with a packet length
less than the length of the VRRP header.""",
        }, # column
        "vrrpConformance" : {
            "nodetype" : "node",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.3",
        }, # node
        "vrrpMIBCompliances" : {
            "nodetype" : "node",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.3.1",
        }, # node
        "vrrpMIBGroups" : {
            "nodetype" : "node",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.3.2",
        }, # node
    }, # nodes

    "notifications" : {
        "vrrpTrapNewMaster" : {
            "nodetype" : "notification",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.0.1",
            "status" : "current",
            "objects" : {
                "vrrpOperMasterIpAddr" : {
                    "nodetype" : "object",
                    "module" : "VRRP-MIB"
                },
            },
            "description" :
                """The newMaster trap indicates that the sending agent
has transitioned to 'Master' state.""",
        }, # notification
        "vrrpTrapAuthFailure" : {
            "nodetype" : "notification",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.0.2",
            "status" : "current",
            "objects" : {
                "vrrpTrapPacketSrc" : {
                    "nodetype" : "object",
                    "module" : "VRRP-MIB"
                },
                "vrrpTrapAuthErrorType" : {
                    "nodetype" : "object",
                    "module" : "VRRP-MIB"
                },
            },
            "description" :
                """A vrrpAuthFailure trap signifies that a packet has
been received from a router whose authentication key
or authentication type conflicts with this router's
authentication key or authentication type. Implementation
of this trap is optional.""",
        }, # notification
    }, # notifications

    "groups" : {
        "vrrpOperGroup" : {
            "nodetype" : "group",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.3.2.1",
            "status" : "current",
            "members" : {
                "vrrpNodeVersion" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpNotificationCntl" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperVirtualMacAddr" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperState" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperAdminState" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperPriority" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperIpAddrCount" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperMasterIpAddr" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperPrimaryIpAddr" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperAuthType" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperAuthKey" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperAdvertisementInterval" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperPreemptMode" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperVirtualRouterUpTime" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperProtocol" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpOperRowStatus" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpAssoIpAddrRowStatus" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
            }, # members
            "description" :
                """Conformance group for VRRP operations.""",
        }, # group
        "vrrpStatsGroup" : {
            "nodetype" : "group",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.3.2.2",
            "status" : "current",
            "members" : {
                "vrrpRouterChecksumErrors" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpRouterVersionErrors" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpRouterVrIdErrors" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsBecomeMaster" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsAdvertiseRcvd" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsAdvertiseIntervalErrors" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsAuthFailures" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsIpTtlErrors" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsPriorityZeroPktsRcvd" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsPriorityZeroPktsSent" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsInvalidTypePktsRcvd" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsAddressListErrors" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsInvalidAuthType" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsAuthTypeMismatch" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsPacketLengthErrors" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
            }, # members
            "description" :
                """Conformance group for VRRP statistics.""",
        }, # group
        "vrrpTrapGroup" : {
            "nodetype" : "group",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.3.2.3",
            "status" : "current",
            "members" : {
                "vrrpTrapPacketSrc" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpTrapAuthErrorType" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
            }, # members
            "description" :
                """Conformance group for objects contained in VRRP notifications.""",
        }, # group
        "vrrpNotificationGroup" : {
            "nodetype" : "group",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.3.2.4",
            "status" : "current",
            "members" : {
                "vrrpTrapNewMaster" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
                "vrrpTrapAuthFailure" : {
                    "nodetype" : "member",
                    "module" : "VRRP-MIB"
                },
            }, # members
            "description" :
                """The VRRP MIB Notification Group.""",
        }, # group
    }, # groups

    "compliances" : {
        "vrrpMIBCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "VRRP-MIB",
            "oid" : "1.3.6.1.2.1.68.3.1.1",
            "status" : "current",
            "description" :
                """The core compliance statement for all VRRP implementations.""",
            "requires" : {
                "vrrpOperGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "VRRP-MIB"
                },
                "vrrpStatsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "VRRP-MIB"
                },
            }, # requires
            "refinements" : {
                "vrrpOperPriority" : {
                    "module" : "VRRP-MIB",
                    "writesyntax" : {
                        "type" :                         {
                            "basetype" : "Integer32",
                            "ranges" : [
                            {
                                "min" : "1",
                                "max" : "255"
                            },
                            ],
                            "range" : {
                                "min" : "1",
                                "max" : "255"
                            },
                        },
                    }, # writesyntax
                    "description" :
                        """SETable values are from 1 to 255.""",
                },
            }, # refinements

        }, # compliance
    }, # compliances

}
