# python version 1.0						DO NOT EDIT
#
# Generated by smidump version 0.4.7:
#
#   smidump -f python IP-MIB

FILENAME = "/home/klette/mibs/v2/IP-MIB.my"

MIB = {
    "moduleName" : "IP-MIB",

    "IP-MIB" : {
        "nodetype" : "module",
        "language" : "SMIv2",
        "organization" :    
            """IETF IPv6 MIB Revision Team""",
        "contact" : 
            """Editor:


Shawn A. Routhier
Interworking Labs
108 Whispering Pines Dr. Suite 235
Scotts Valley, CA 95066
USA
EMail: <sar@iwl.com>""",
        "description" :
            """The MIB module for managing IP and ICMP implementations, but
excluding their management of IP routes.

Copyright (C) The Internet Society (2006).  This version of
this MIB module is part of RFC 4293; see the RFC itself for
full legal notices.""",
        "revisions" : (
            {
                "date" : "2006-02-02 00:00",
                "description" :
                    """The IP version neutral revision with added IPv6 objects for
ND, default routers, and router advertisements.  As well as
being the successor to RFC 2011, this MIB is also the
successor to RFCs 2465 and 2466.  Published as RFC 4293.""",
            },
            {
                "date" : "1994-11-01 00:00",
                "description" :
                    """A separate MIB module (IP-MIB) for IP and ICMP management
objects.  Published as RFC 2011.""",
            },
            {
                "date" : "1991-03-31 00:00",
                "description" :
                    """The initial revision of this MIB module was part of MIB-II,
which was published as RFC 1213.""",
            },
        ),
        "identity node" : "ipMIB",
    },

    "imports" : (
        {"module" : "SNMPv2-SMI", "name" : "MODULE-IDENTITY"},
        {"module" : "SNMPv2-SMI", "name" : "OBJECT-TYPE"},
        {"module" : "SNMPv2-SMI", "name" : "Integer32"},
        {"module" : "SNMPv2-SMI", "name" : "Counter32"},
        {"module" : "SNMPv2-SMI", "name" : "IpAddress"},
        {"module" : "SNMPv2-SMI", "name" : "mib-2"},
        {"module" : "SNMPv2-SMI", "name" : "Unsigned32"},
        {"module" : "SNMPv2-SMI", "name" : "Counter64"},
        {"module" : "SNMPv2-SMI", "name" : "zeroDotZero"},
        {"module" : "SNMPv2-TC", "name" : "PhysAddress"},
        {"module" : "SNMPv2-TC", "name" : "TruthValue"},
        {"module" : "SNMPv2-TC", "name" : "TimeStamp"},
        {"module" : "SNMPv2-TC", "name" : "RowPointer"},
        {"module" : "SNMPv2-TC", "name" : "TEXTUAL-CONVENTION"},
        {"module" : "SNMPv2-TC", "name" : "TestAndIncr"},
        {"module" : "SNMPv2-TC", "name" : "RowStatus"},
        {"module" : "SNMPv2-TC", "name" : "StorageType"},
        {"module" : "SNMPv2-CONF", "name" : "MODULE-COMPLIANCE"},
        {"module" : "SNMPv2-CONF", "name" : "OBJECT-GROUP"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddress"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddressType"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetAddressPrefixLength"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetVersion"},
        {"module" : "INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
        {"module" : "IF-MIB", "name" : "InterfaceIndex"},
    ),

    "typedefs" : {
        "IpAddressOriginTC" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "other" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "manual" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "dhcp" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "linklayer" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "random" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "description" :
                """The origin of the address.

manual(2) indicates that the address was manually configured
to a specified address, e.g., by user configuration.

dhcp(4) indicates an address that was assigned to this
system by a DHCP server.

linklayer(5) indicates an address created by IPv6 stateless


auto-configuration.

random(6) indicates an address chosen by the system at
random, e.g., an IPv4 address within 169.254/16, or an RFC
3041 privacy address.""",
        },
        "IpAddressStatusTC" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "preferred" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "deprecated" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "invalid" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "inaccessible" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "unknown" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "tentative" : {
                "nodetype" : "namednumber",
                "number" : "6"
            },
            "duplicate" : {
                "nodetype" : "namednumber",
                "number" : "7"
            },
            "optimistic" : {
                "nodetype" : "namednumber",
                "number" : "8"
            },
            "description" :
                """The status of an address.  Most of the states correspond to
states from the IPv6 Stateless Address Autoconfiguration
protocol.

The preferred(1) state indicates that this is a valid
address that can appear as the destination or source address
of a packet.

The deprecated(2) state indicates that this is a valid but
deprecated address that should no longer be used as a source
address in new communications, but packets addressed to such
an address are processed as expected.

The invalid(3) state indicates that this isn't a valid
address and it shouldn't appear as the destination or source
address of a packet.

The inaccessible(4) state indicates that the address is not
accessible because the interface to which this address is
assigned is not operational.

The unknown(5) state indicates that the status cannot be
determined for some reason.

The tentative(6) state indicates that the uniqueness of the
address on the link is being verified.  Addresses in this
state should not be used for general communication and
should only be used to determine the uniqueness of the
address.

The duplicate(7) state indicates the address has been
determined to be non-unique on the link and so must not be


used.

The optimistic(8) state indicates the address is available
for use, subject to restrictions, while its uniqueness on
a link is being verified.

In the absence of other information, an IPv4 address is
always preferred(1).""",
            "reference>" :
                """RFC 2462""",
        },
        "IpAddressPrefixOriginTC" : {
            "basetype" : "Enumeration",
            "status" : "current",
            "other" : {
                "nodetype" : "namednumber",
                "number" : "1"
            },
            "manual" : {
                "nodetype" : "namednumber",
                "number" : "2"
            },
            "wellknown" : {
                "nodetype" : "namednumber",
                "number" : "3"
            },
            "dhcp" : {
                "nodetype" : "namednumber",
                "number" : "4"
            },
            "routeradv" : {
                "nodetype" : "namednumber",
                "number" : "5"
            },
            "description" :
                """The origin of this prefix.

manual(2) indicates a prefix that was manually configured.

wellknown(3) indicates a well-known prefix, e.g., 169.254/16
for IPv4 auto-configuration or fe80::/10 for IPv6 link-local
addresses.  Well known prefixes may be assigned by IANA,
the address registries, or by specification in a standards
track RFC.

dhcp(4) indicates a prefix that was assigned by a DHCP
server.

routeradv(5) indicates a prefix learned from a router
advertisement.

Note: while IpAddressOriginTC and IpAddressPrefixOriginTC
are similar, they are not identical.  The first defines how
an address was created, while the second defines how a
prefix was found.""",
        },
        "Ipv6AddressIfIdentifierTC" : {
            "basetype" : "OctetString",
            "status" : "current",
            "ranges" : [
            {
                "min" : "0",
                "max" : "8"
            },
            ],
            "range" : {
                "min" : "0",
                "max" : "8"
            },
            "format" : "2x:",
            "description" :
                """This data type is used to model IPv6 address
interface identifiers.  This is a binary string
of up to 8 octets in network byte-order.""",
        },
    }, # typedefs

    "nodes" : {
        "ip" : {
            "nodetype" : "node",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4",
        }, # node
        "ipForwarding" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.1",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "forwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "notForwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The indication of whether this entity is acting as an IPv4
router in respect to the forwarding of datagrams received
by, but not addressed to, this entity.  IPv4 routers forward
datagrams.  IPv4 hosts do not (except those source-routed
via the host).

When this object is written, the entity should save the
change to non-volatile storage and restore the object from
non-volatile storage upon re-initialization of the system.
Note: a stronger requirement is not used because this object
was previously defined.""",
        }, # scalar
        "ipDefaultTTL" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "255"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The default value inserted into the Time-To-Live field of
the IPv4 header of datagrams originated at this entity,
whenever a TTL value is not supplied by the transport layer


protocol.

When this object is written, the entity should save the
change to non-volatile storage and restore the object from
non-volatile storage upon re-initialization of the system.
Note: a stronger requirement is not used because this object
was previously defined.""",
        }, # scalar
        "ipInReceives" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.3",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of input datagrams received from
interfaces, including those received in error.

This object has been deprecated, as a new IP version-neutral


table has been added.  It is loosely replaced by
ipSystemStatsInRecieves.""",
        }, # scalar
        "ipInHdrErrors" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.4",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams discarded due to errors in
their IPv4 headers, including bad checksums, version number
mismatch, other format errors, time-to-live exceeded, errors
discovered in processing their IPv4 options, etc.

This object has been deprecated as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsInHdrErrors.""",
        }, # scalar
        "ipInAddrErrors" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.5",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams discarded because the IPv4
address in their IPv4 header's destination field was not a
valid address to be received at this entity.  This count
includes invalid addresses (e.g., 0.0.0.0) and addresses of
unsupported Classes (e.g., Class E).  For entities which are
not IPv4 routers, and therefore do not forward datagrams,
this counter includes datagrams discarded because the
destination address was not a local address.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsInAddrErrors.""",
        }, # scalar
        "ipForwDatagrams" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.6",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams for which this entity was not
their final IPv4 destination, as a result of which an
attempt was made to find a route to forward them to that
final destination.  In entities which do not act as IPv4
routers, this counter will include only those packets which


were Source-Routed via this entity, and the Source-Route
option processing was successful.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsInForwDatagrams.""",
        }, # scalar
        "ipInUnknownProtos" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.7",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of locally-addressed datagrams received
successfully but discarded because of an unknown or
unsupported protocol.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsInUnknownProtos.""",
        }, # scalar
        "ipInDiscards" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.8",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IPv4 datagrams for which no problems
were encountered to prevent their continued processing, but
which were discarded (e.g., for lack of buffer space).  Note
that this counter does not include any datagrams discarded
while awaiting re-assembly.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsInDiscards.""",
        }, # scalar
        "ipInDelivers" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.9",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of input datagrams successfully delivered
to IPv4 user-protocols (including ICMP).

This object has been deprecated as a new IP version neutral
table has been added.  It is loosely replaced by


ipSystemStatsIndelivers.""",
        }, # scalar
        "ipOutRequests" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.10",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IPv4 datagrams which local IPv4 user
protocols (including ICMP) supplied to IPv4 in requests for
transmission.  Note that this counter does not include any
datagrams counted in ipForwDatagrams.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsOutRequests.""",
        }, # scalar
        "ipOutDiscards" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.11",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of output IPv4 datagrams for which no problem was
encountered to prevent their transmission to their
destination, but which were discarded (e.g., for lack of
buffer space).  Note that this counter would include
datagrams counted in ipForwDatagrams if any such packets met
this (discretionary) discard criterion.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsOutDiscards.""",
        }, # scalar
        "ipOutNoRoutes" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.12",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv4 datagrams discarded because no route
could be found to transmit them to their destination.  Note
that this counter includes any packets counted in
ipForwDatagrams which meet this `no-route' criterion.  Note
that this includes any datagrams which a host cannot route
because all of its default routers are down.

This object has been deprecated, as a new IP version-neutral


table has been added.  It is loosely replaced by
ipSystemStatsOutNoRoutes.""",
        }, # scalar
        "ipReasmTimeout" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Integer32"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """The maximum number of seconds that received fragments are
held while they are awaiting reassembly at this entity.""",
        }, # scalar
        "ipReasmReqds" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.14",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv4 fragments received which needed to be
reassembled at this entity.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsReasmReqds.""",
        }, # scalar
        "ipReasmOKs" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.15",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv4 datagrams successfully re-assembled.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsReasmOKs.""",
        }, # scalar
        "ipReasmFails" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.16",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of failures detected by the IPv4 re-assembly
algorithm (for whatever reason: timed out, errors, etc).
Note that this is not necessarily a count of discarded IPv4
fragments since some algorithms (notably the algorithm in
RFC 815) can lose track of the number of fragments by
combining them as they are received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsReasmFails.""",
        }, # scalar
        "ipFragOKs" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.17",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv4 datagrams that have been successfully
fragmented at this entity.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsOutFragOKs.""",
        }, # scalar
        "ipFragFails" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.18",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv4 datagrams that have been discarded
because they needed to be fragmented at this entity but
could not be, e.g., because their Don't Fragment flag was
set.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
ipSystemStatsOutFragFails.""",
        }, # scalar
        "ipFragCreates" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.19",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IPv4 datagram fragments that have been
generated as a result of fragmentation at this entity.

This object has been deprecated as a new IP version neutral
table has been added.  It is loosely replaced by
ipSystemStatsOutFragCreates.""",
        }, # scalar
        "ipAddrTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.20",
            "status" : "deprecated",
            "description" :
                """The table of addressing information relevant to this
entity's IPv4 addresses.

This table has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by the
ipAddressTable although several objects that weren't deemed
useful weren't carried forward while another
(ipAdEntReasmMaxSize) was moved to the ipv4InterfaceTable.""",
        }, # table
        "ipAddrEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.20.1",
            "status" : "deprecated",
            "linkage" : [
                "ipAdEntAddr",
            ],
            "description" :
                """The addressing information for one of this entity's IPv4
addresses.""",
        }, # row
        "ipAdEntAddr" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.20.1.1",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The IPv4 address to which this entry's addressing
information pertains.""",
        }, # column
        "ipAdEntIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.20.1.2",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The index value which uniquely identifies the interface to
which this entry is applicable.  The interface identified by
a particular value of this index is the same interface as
identified by the same value of the IF-MIB's ifIndex.""",
        }, # column
        "ipAdEntNetMask" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.20.1.3",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readonly",
            "description" :
                """The subnet mask associated with the IPv4 address of this
entry.  The value of the mask is an IPv4 address with all
the network bits set to 1 and all the hosts bits set to 0.""",
        }, # column
        "ipAdEntBcastAddr" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.20.1.4",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "1"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "1"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The value of the least-significant bit in the IPv4 broadcast
address used for sending datagrams on the (logical)
interface associated with the IPv4 address of this entry.
For example, when the Internet standard all-ones broadcast
address is used, the value will be 1.  This value applies to
both the subnet and network broadcast addresses used by the
entity on this (logical) interface.""",
        }, # column
        "ipAdEntReasmMaxSize" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.20.1.5",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The size of the largest IPv4 datagram which this entity can
re-assemble from incoming IPv4 fragmented datagrams received
on this interface.""",
        }, # column
        "ipNetToMediaTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.22",
            "status" : "deprecated",
            "description" :
                """The IPv4 Address Translation table used for mapping from
IPv4 addresses to physical addresses.

This table has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by the
ipNetToPhysicalTable.""",
        }, # table
        "ipNetToMediaEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.22.1",
            "create" : "true",
            "status" : "deprecated",
            "linkage" : [
                "ipNetToMediaIfIndex",
                "ipNetToMediaNetAddress",
            ],
            "description" :
                """Each entry contains one IpAddress to `physical' address
equivalence.""",
        }, # row
        "ipNetToMediaIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.22.1.1",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "1",
                        "max" : "2147483647"
                    },
                    ],
                    "range" : {
                        "min" : "1",
                        "max" : "2147483647"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The interface on which this entry's equivalence is
effective.  The interface identified by a particular value
of this index is the same interface as identified by the


same value of the IF-MIB's ifIndex.

This object predates the rule limiting index objects to a
max access value of 'not-accessible' and so continues to use
a value of 'read-create'.""",
        }, # column
        "ipNetToMediaPhysAddress" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.22.1.2",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "PhysAddress",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The media-dependent `physical' address.  This object should
return 0 when this entry is in the 'incomplete' state.

As the entries in this table are typically not persistent
when this object is written the entity should not save the
change to non-volatile storage.  Note: a stronger
requirement is not used because this object was previously
defined.""",
        }, # column
        "ipNetToMediaNetAddress" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.22.1.3",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "IpAddress"},
            },
            "access" : "readwrite",
            "description" :
                """The IpAddress corresponding to the media-dependent
`physical' address.

This object predates the rule limiting index objects to a
max access value of 'not-accessible' and so continues to use
a value of 'read-create'.""",
        }, # column
        "ipNetToMediaType" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.22.1.4",
            "status" : "deprecated",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "dynamic" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "static" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The type of mapping.

Setting this object to the value invalid(2) has the effect


of invalidating the corresponding entry in the
ipNetToMediaTable.  That is, it effectively dis-associates
the interface identified with said entry from the mapping
identified with said entry.  It is an implementation-
specific matter as to whether the agent removes an
invalidated entry from the table.  Accordingly, management
stations must be prepared to receive tabular information
from agents that corresponds to entries not currently in
use.  Proper interpretation of such entries requires
examination of the relevant ipNetToMediaType object.

As the entries in this table are typically not persistent
when this object is written the entity should not save the
change to non-volatile storage.  Note: a stronger
requirement is not used because this object was previously
defined.""",
        }, # column
        "ipRoutingDiscards" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.23",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of routing entries which were chosen to be
discarded even though they are valid.  One possible reason
for discarding such an entry could be to free-up buffer
space for other routing entries.


This object was defined in pre-IPv6 versions of the IP MIB.
It was implicitly IPv4 only, but the original specifications
did not indicate this protocol restriction.  In order to
clarify the specifications, this object has been deprecated
and a similar, but more thoroughly clarified, object has
been added to the IP-FORWARD-MIB.""",
        }, # scalar
        "ipv6IpForwarding" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.25",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "forwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "notForwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The indication of whether this entity is acting as an IPv6
router on any interface in respect to the forwarding of
datagrams received by, but not addressed to, this entity.
IPv6 routers forward datagrams.  IPv6 hosts do not (except
those source-routed via the host).

When this object is written, the entity SHOULD save the
change to non-volatile storage and restore the object from
non-volatile storage upon re-initialization of the system.""",
        }, # scalar
        "ipv6IpDefaultHopLimit" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.26",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The default value inserted into the Hop Limit field of the
IPv6 header of datagrams originated at this entity whenever
a Hop Limit value is not supplied by the transport layer
protocol.

When this object is written, the entity SHOULD save the
change to non-volatile storage and restore the object from
non-volatile storage upon re-initialization of the system.""",
            "reference>" :
                """RFC 2461 Section 6.3.2""",
        }, # scalar
        "ipv4InterfaceTableLastChange" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.27",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime on the most recent occasion at which
a row in the ipv4InterfaceTable was added or deleted, or
when an ipv4InterfaceReasmMaxSize or an
ipv4InterfaceEnableStatus object was modified.

If new objects are added to the ipv4InterfaceTable that
require the ipv4InterfaceTableLastChange to be updated when
they are modified, they must specify that requirement in
their description clause.""",
        }, # scalar
        "ipv4InterfaceTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.28",
            "status" : "current",
            "description" :
                """The table containing per-interface IPv4-specific
information.""",
        }, # table
        "ipv4InterfaceEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.28.1",
            "status" : "current",
            "linkage" : [
                "ipv4InterfaceIfIndex",
            ],
            "description" :
                """An entry containing IPv4-specific information for a specific
interface.""",
        }, # row
        "ipv4InterfaceIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.28.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The index value that uniquely identifies the interface to
which this entry is applicable.  The interface identified by
a particular value of this index is the same interface as
identified by the same value of the IF-MIB's ifIndex.""",
        }, # column
        "ipv4InterfaceReasmMaxSize" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.28.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The size of the largest IPv4 datagram that this entity can
re-assemble from incoming IPv4 fragmented datagrams received
on this interface.""",
        }, # column
        "ipv4InterfaceEnableStatus" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.28.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "up" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "down" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The indication of whether IPv4 is enabled (up) or disabled
(down) on this interface.  This object does not affect the
state of the interface itself, only its connection to an
IPv4 stack.  The IF-MIB should be used to control the state
of the interface.""",
        }, # column
        "ipv4InterfaceRetransmitTime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.28.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "default" : "1000",
            "units" : "milliseconds",
            "description" :
                """The time between retransmissions of ARP requests to a
neighbor when resolving the address or when probing the
reachability of a neighbor.""",
            "reference>" :
                """RFC 1122""",
        }, # column
        "ipv6InterfaceTableLastChange" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.29",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime on the most recent occasion at which
a row in the ipv6InterfaceTable was added or deleted or when
an ipv6InterfaceReasmMaxSize, ipv6InterfaceIdentifier,
ipv6InterfaceEnableStatus, ipv6InterfaceReachableTime,
ipv6InterfaceRetransmitTime, or ipv6InterfaceForwarding
object was modified.

If new objects are added to the ipv6InterfaceTable that
require the ipv6InterfaceTableLastChange to be updated when
they are modified, they must specify that requirement in
their description clause.""",
        }, # scalar
        "ipv6InterfaceTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.30",
            "status" : "current",
            "description" :
                """The table containing per-interface IPv6-specific
information.""",
        }, # table
        "ipv6InterfaceEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.30.1",
            "status" : "current",
            "linkage" : [
                "ipv6InterfaceIfIndex",
            ],
            "description" :
                """An entry containing IPv6-specific information for a given
interface.""",
        }, # row
        "ipv6InterfaceIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.30.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The index value that uniquely identifies the interface to
which this entry is applicable.  The interface identified by
a particular value of this index is the same interface as
identified by the same value of the IF-MIB's ifIndex.""",
        }, # column
        "ipv6InterfaceReasmMaxSize" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.30.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "1500",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "1500",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "units" : "octets",
            "description" :
                """The size of the largest IPv6 datagram that this entity can
re-assemble from incoming IPv6 fragmented datagrams received
on this interface.""",
        }, # column
        "ipv6InterfaceIdentifier" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.30.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IP-MIB", "name" : "Ipv6AddressIfIdentifierTC"},
            },
            "access" : "readonly",
            "description" :
                """The Interface Identifier for this interface.  The Interface
Identifier is combined with an address prefix to form an
interface address.

By default, the Interface Identifier is auto-configured
according to the rules of the link type to which this
interface is attached.


A zero length identifier may be used where appropriate.  One
possible example is a loopback interface.""",
        }, # column
        "ipv6InterfaceEnableStatus" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.30.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "up" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "down" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The indication of whether IPv6 is enabled (up) or disabled
(down) on this interface.  This object does not affect the
state of the interface itself, only its connection to an
IPv6 stack.  The IF-MIB should be used to control the state
of the interface.

When this object is written, the entity SHOULD save the
change to non-volatile storage and restore the object from
non-volatile storage upon re-initialization of the system.""",
        }, # column
        "ipv6InterfaceReachableTime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.30.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "milliseconds",
            "description" :
                """The time a neighbor is considered reachable after receiving
a reachability confirmation.""",
            "reference>" :
                """RFC 2461, Section 6.3.2""",
        }, # column
        "ipv6InterfaceRetransmitTime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.30.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "milliseconds",
            "description" :
                """The time between retransmissions of Neighbor Solicitation
messages to a neighbor when resolving the address or when
probing the reachability of a neighbor.""",
            "reference>" :
                """RFC 2461, Section 6.3.2""",
        }, # column
        "ipv6InterfaceForwarding" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.30.1.8",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "forwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "notForwarding" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The indication of whether this entity is acting as an IPv6
router on this interface with respect to the forwarding of
datagrams received by, but not addressed to, this entity.
IPv6 routers forward datagrams.  IPv6 hosts do not (except
those source-routed via the host).

This object is constrained by ipv6IpForwarding and is
ignored if ipv6IpForwarding is set to notForwarding.  Those
systems that do not provide per-interface control of the
forwarding function should set this object to forwarding for
all interfaces and allow the ipv6IpForwarding object to
control the forwarding capability.

When this object is written, the entity SHOULD save the
change to non-volatile storage and restore the object from
non-volatile storage upon re-initialization of the system.""",
        }, # column
        "ipTrafficStats" : {
            "nodetype" : "node",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31",
        }, # node
        "ipSystemStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1",
            "status" : "current",
            "description" :
                """The table containing system wide, IP version specific
traffic statistics.  This table and the ipIfStatsTable
contain similar objects whose difference is in their
granularity.  Where this table contains system wide traffic
statistics, the ipIfStatsTable contains the same statistics
but counted on a per-interface basis.""",
        }, # table
        "ipSystemStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1",
            "status" : "current",
            "linkage" : [
                "ipSystemStatsIPVersion",
            ],
            "description" :
                """A statistics entry containing system-wide objects for a
particular IP version.""",
        }, # row
        "ipSystemStatsIPVersion" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetVersion"},
            },
            "access" : "noaccess",
            "description" :
                """The IP version of this row.""",
        }, # column
        "ipSystemStatsInReceives" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of input IP datagrams received, including
those received in error.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCInReceives" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of input IP datagrams received, including
those received in error.  This object counts the same
datagrams as ipSystemStatsInReceives, but allows for larger
values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets received in input IP datagrams,
including those received in error.  Octets from datagrams
counted in ipSystemStatsInReceives MUST be counted here.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCInOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets received in input IP datagrams,
including those received in error.  This object counts the
same octets as ipSystemStatsInOctets, but allows for larger


values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInHdrErrors" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IP datagrams discarded due to errors in
their IP headers, including version number mismatch, other
format errors, hop count exceeded, errors discovered in
processing their IP options, etc.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInNoRoutes" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IP datagrams discarded because no route
could be found to transmit them to their destination.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInAddrErrors" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IP datagrams discarded because the IP
address in their IP header's destination field was not a
valid address to be received at this entity.  This count
includes invalid addresses (e.g., ::0).  For entities
that are not IP routers and therefore do not forward


datagrams, this counter includes datagrams discarded
because the destination address was not a local address.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInUnknownProtos" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of locally-addressed IP datagrams received
successfully but discarded because of an unknown or
unsupported protocol.

When tracking interface statistics, the counter of the
interface to which these datagrams were addressed is
incremented.  This interface might not be the same as the
input interface for some of the datagrams.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInTruncatedPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IP datagrams discarded because the
datagram frame didn't carry enough data.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInForwDatagrams" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams for which this entity was not
their final IP destination and for which this entity
attempted to find a route to forward them to that final
destination.  In entities that do not act as IP routers,
this counter will include only those datagrams that were
Source-Routed via this entity, and the Source-Route
processing was successful.

When tracking interface statistics, the counter of the
incoming interface is incremented for each datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCInForwDatagrams" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams for which this entity was not
their final IP destination and for which this entity
attempted to find a route to forward them to that final
destination.  This object counts the same packets as
ipSystemStatsInForwDatagrams, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsReasmReqds" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.14",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP fragments received that needed to be
reassembled at this interface.

When tracking interface statistics, the counter of the
interface to which these fragments were addressed is
incremented.  This interface might not be the same as the
input interface for some of the fragments.

Discontinuities in the value of this counter can occur at


re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsReasmOKs" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.15",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP datagrams successfully reassembled.

When tracking interface statistics, the counter of the
interface to which these datagrams were addressed is
incremented.  This interface might not be the same as the
input interface for some of the datagrams.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsReasmFails" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.16",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of failures detected by the IP re-assembly
algorithm (for whatever reason: timed out, errors, etc.).
Note that this is not necessarily a count of discarded IP
fragments since some algorithms (notably the algorithm in
RFC 815) can lose track of the number of fragments by
combining them as they are received.

When tracking interface statistics, the counter of the
interface to which these fragments were addressed is
incremented.  This interface might not be the same as the
input interface for some of the fragments.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInDiscards" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.17",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IP datagrams for which no problems were
encountered to prevent their continued processing, but
were discarded (e.g., for lack of buffer space).  Note that
this counter does not include any datagrams discarded while
awaiting re-assembly.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInDelivers" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.18",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of datagrams successfully delivered to IP
user-protocols (including ICMP).

When tracking interface statistics, the counter of the
interface to which these datagrams were addressed is
incremented.  This interface might not be the same as the
input interface for some of the datagrams.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCInDelivers" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.19",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of datagrams successfully delivered to IP
user-protocols (including ICMP).  This object counts the
same packets as ipSystemStatsInDelivers, but allows for
larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutRequests" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.20",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IP datagrams that local IP user-
protocols (including ICMP) supplied to IP in requests for
transmission.  Note that this counter does not include any
datagrams counted in ipSystemStatsOutForwDatagrams.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCOutRequests" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.21",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IP datagrams that local IP user-
protocols (including ICMP) supplied to IP in requests for
transmission.  This object counts the same packets as
ipSystemStatsOutRequests, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutNoRoutes" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.22",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of locally generated IP datagrams discarded
because no route could be found to transmit them to their
destination.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutForwDatagrams" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.23",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of datagrams for which this entity was not their
final IP destination and for which it was successful in
finding a path to their final destination.  In entities
that do not act as IP routers, this counter will include
only those datagrams that were Source-Routed via this
entity, and the Source-Route processing was successful.

When tracking interface statistics, the counter of the
outgoing interface is incremented for a successfully
forwarded datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCOutForwDatagrams" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.24",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of datagrams for which this entity was not their
final IP destination and for which it was successful in
finding a path to their final destination.  This object
counts the same packets as ipSystemStatsOutForwDatagrams,
but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutDiscards" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.25",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of output IP datagrams for which no problem was
encountered to prevent their transmission to their
destination, but were discarded (e.g., for lack of
buffer space).  Note that this counter would include


datagrams counted in ipSystemStatsOutForwDatagrams if any
such datagrams met this (discretionary) discard criterion.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutFragReqds" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.26",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP datagrams that would require fragmentation
in order to be transmitted.

When tracking interface statistics, the counter of the
outgoing interface is incremented for a successfully
fragmented datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutFragOKs" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.27",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP datagrams that have been successfully
fragmented.

When tracking interface statistics, the counter of the
outgoing interface is incremented for a successfully
fragmented datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutFragFails" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.28",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP datagrams that have been discarded because
they needed to be fragmented but could not be.  This
includes IPv4 packets that have the DF bit set and IPv6
packets that are being forwarded and exceed the outgoing
link MTU.

When tracking interface statistics, the counter of the
outgoing interface is incremented for an unsuccessfully
fragmented datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutFragCreates" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.29",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of output datagram fragments that have been
generated as a result of IP fragmentation.

When tracking interface statistics, the counter of the
outgoing interface is incremented for a successfully
fragmented datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutTransmits" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.30",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IP datagrams that this entity supplied
to the lower layers for transmission.  This includes
datagrams generated locally and those forwarded by this
entity.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other


times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCOutTransmits" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.31",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IP datagrams that this entity supplied
to the lower layers for transmission.  This object counts
the same datagrams as ipSystemStatsOutTransmits, but allows
for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.32",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets in IP datagrams delivered to the
lower layers for transmission.  Octets from datagrams
counted in ipSystemStatsOutTransmits MUST be counted here.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCOutOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.33",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets in IP datagrams delivered to the
lower layers for transmission.  This objects counts the same
octets as ipSystemStatsOutOctets, but allows for larger
values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of


ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInMcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.34",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP multicast datagrams received.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCInMcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.35",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP multicast datagrams received.  This object
counts the same datagrams as ipSystemStatsInMcastPkts but
allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInMcastOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.36",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets received in IP multicast
datagrams.  Octets from datagrams counted in
ipSystemStatsInMcastPkts MUST be counted here.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCInMcastOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.37",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets received in IP multicast
datagrams.  This object counts the same octets as
ipSystemStatsInMcastOctets, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutMcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.38",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP multicast datagrams transmitted.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCOutMcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.39",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP multicast datagrams transmitted.  This
object counts the same datagrams as
ipSystemStatsOutMcastPkts, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutMcastOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.40",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets transmitted in IP multicast
datagrams.  Octets from datagrams counted in


ipSystemStatsOutMcastPkts MUST be counted here.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCOutMcastOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.41",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets transmitted in IP multicast
datagrams.  This object counts the same octets as
ipSystemStatsOutMcastOctets, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsInBcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.42",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP broadcast datagrams received.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCInBcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.43",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP broadcast datagrams received.  This object
counts the same datagrams as ipSystemStatsInBcastPkts but
allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of


ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsOutBcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.44",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP broadcast datagrams transmitted.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsHCOutBcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.45",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP broadcast datagrams transmitted.  This
object counts the same datagrams as
ipSystemStatsOutBcastPkts, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipSystemStatsDiscontinuityTime.""",
        }, # column
        "ipSystemStatsDiscontinuityTime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.46",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime on the most recent occasion at which
any one or more of this entry's counters suffered a
discontinuity.

If no such discontinuities have occurred since the last re-
initialization of the local management subsystem, then this
object contains a zero value.""",
        }, # column
        "ipSystemStatsRefreshRate" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.1.1.47",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "milli-seconds",
            "description" :
                """The minimum reasonable polling interval for this entry.
This object provides an indication of the minimum amount of
time required to update the counters in this entry.""",
        }, # column
        "ipIfStatsTableLastChange" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime on the most recent occasion at which
a row in the ipIfStatsTable was added or deleted.

If new objects are added to the ipIfStatsTable that require
the ipIfStatsTableLastChange to be updated when they are
modified, they must specify that requirement in their
description clause.""",
        }, # scalar
        "ipIfStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3",
            "status" : "current",
            "description" :
                """The table containing per-interface traffic statistics.  This
table and the ipSystemStatsTable contain similar objects
whose difference is in their granularity.  Where this table
contains per-interface statistics, the ipSystemStatsTable
contains the same statistics, but counted on a system wide
basis.""",
        }, # table
        "ipIfStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1",
            "status" : "current",
            "linkage" : [
                "ipIfStatsIPVersion",
                "ipIfStatsIfIndex",
            ],
            "description" :
                """An interface statistics entry containing objects for a
particular interface and version of IP.""",
        }, # row
        "ipIfStatsIPVersion" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetVersion"},
            },
            "access" : "noaccess",
            "description" :
                """The IP version of this row.""",
        }, # column
        "ipIfStatsIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The index value that uniquely identifies the interface to
which this entry is applicable.  The interface identified by
a particular value of this index is the same interface as
identified by the same value of the IF-MIB's ifIndex.""",
        }, # column
        "ipIfStatsInReceives" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of input IP datagrams received, including
those received in error.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCInReceives" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of input IP datagrams received, including
those received in error.  This object counts the same
datagrams as ipIfStatsInReceives, but allows for larger
values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets received in input IP datagrams,
including those received in error.  Octets from datagrams
counted in ipIfStatsInReceives MUST be counted here.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCInOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets received in input IP datagrams,
including those received in error.  This object counts the
same octets as ipIfStatsInOctets, but allows for larger
values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInHdrErrors" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IP datagrams discarded due to errors in
their IP headers, including version number mismatch, other
format errors, hop count exceeded, errors discovered in
processing their IP options, etc.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInNoRoutes" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IP datagrams discarded because no route
could be found to transmit them to their destination.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInAddrErrors" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IP datagrams discarded because the IP
address in their IP header's destination field was not a
valid address to be received at this entity.  This count
includes invalid addresses (e.g., ::0).  For entities that
are not IP routers and therefore do not forward datagrams,
this counter includes datagrams discarded because the
destination address was not a local address.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInUnknownProtos" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of locally-addressed IP datagrams received
successfully but discarded because of an unknown or
unsupported protocol.

When tracking interface statistics, the counter of the
interface to which these datagrams were addressed is
incremented.  This interface might not be the same as the
input interface for some of the datagrams.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of


ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInTruncatedPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IP datagrams discarded because the
datagram frame didn't carry enough data.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInForwDatagrams" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams for which this entity was not
their final IP destination and for which this entity
attempted to find a route to forward them to that final
destination.  In entities that do not act as IP routers,
this counter will include only those datagrams that were
Source-Routed via this entity, and the Source-Route
processing was successful.

When tracking interface statistics, the counter of the
incoming interface is incremented for each datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCInForwDatagrams" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of input datagrams for which this entity was not
their final IP destination and for which this entity
attempted to find a route to forward them to that final
destination.  This object counts the same packets as


ipIfStatsInForwDatagrams, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsReasmReqds" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.14",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP fragments received that needed to be
reassembled at this interface.

When tracking interface statistics, the counter of the
interface to which these fragments were addressed is
incremented.  This interface might not be the same as the
input interface for some of the fragments.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsReasmOKs" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.15",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP datagrams successfully reassembled.

When tracking interface statistics, the counter of the
interface to which these datagrams were addressed is
incremented.  This interface might not be the same as the
input interface for some of the datagrams.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsReasmFails" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.16",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of failures detected by the IP re-assembly
algorithm (for whatever reason: timed out, errors, etc.).
Note that this is not necessarily a count of discarded IP
fragments since some algorithms (notably the algorithm in
RFC 815) can lose track of the number of fragments by
combining them as they are received.

When tracking interface statistics, the counter of the
interface to which these fragments were addressed is
incremented.  This interface might not be the same as the
input interface for some of the fragments.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInDiscards" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.17",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input IP datagrams for which no problems were
encountered to prevent their continued processing, but
were discarded (e.g., for lack of buffer space).  Note that
this counter does not include any datagrams discarded while
awaiting re-assembly.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInDelivers" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.18",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of datagrams successfully delivered to IP
user-protocols (including ICMP).

When tracking interface statistics, the counter of the
interface to which these datagrams were addressed is
incremented.  This interface might not be the same as the


input interface for some of the datagrams.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCInDelivers" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.19",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of datagrams successfully delivered to IP
user-protocols (including ICMP).  This object counts the
same packets as ipIfStatsInDelivers, but allows for larger
values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutRequests" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.20",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IP datagrams that local IP user-
protocols (including ICMP) supplied to IP in requests for
transmission.  Note that this counter does not include any
datagrams counted in ipIfStatsOutForwDatagrams.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCOutRequests" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.21",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IP datagrams that local IP user-
protocols (including ICMP) supplied to IP in requests for
transmission.  This object counts the same packets as


ipIfStatsOutRequests, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutForwDatagrams" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.23",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of datagrams for which this entity was not their
final IP destination and for which it was successful in
finding a path to their final destination.  In entities
that do not act as IP routers, this counter will include
only those datagrams that were Source-Routed via this
entity, and the Source-Route processing was successful.

When tracking interface statistics, the counter of the
outgoing interface is incremented for a successfully
forwarded datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCOutForwDatagrams" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.24",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of datagrams for which this entity was not their
final IP destination and for which it was successful in
finding a path to their final destination.  This object
counts the same packets as ipIfStatsOutForwDatagrams, but
allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of


ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutDiscards" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.25",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of output IP datagrams for which no problem was
encountered to prevent their transmission to their
destination, but were discarded (e.g., for lack of
buffer space).  Note that this counter would include
datagrams counted in ipIfStatsOutForwDatagrams if any such
datagrams met this (discretionary) discard criterion.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutFragReqds" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.26",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP datagrams that would require fragmentation
in order to be transmitted.

When tracking interface statistics, the counter of the
outgoing interface is incremented for a successfully
fragmented datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutFragOKs" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.27",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP datagrams that have been successfully
fragmented.

When tracking interface statistics, the counter of the


outgoing interface is incremented for a successfully
fragmented datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutFragFails" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.28",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP datagrams that have been discarded because
they needed to be fragmented but could not be.  This
includes IPv4 packets that have the DF bit set and IPv6
packets that are being forwarded and exceed the outgoing
link MTU.

When tracking interface statistics, the counter of the
outgoing interface is incremented for an unsuccessfully
fragmented datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutFragCreates" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.29",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of output datagram fragments that have been
generated as a result of IP fragmentation.

When tracking interface statistics, the counter of the
outgoing interface is incremented for a successfully
fragmented datagram.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutTransmits" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.30",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IP datagrams that this entity supplied
to the lower layers for transmission.  This includes
datagrams generated locally and those forwarded by this
entity.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCOutTransmits" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.31",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of IP datagrams that this entity supplied
to the lower layers for transmission.  This object counts
the same datagrams as ipIfStatsOutTransmits, but allows for
larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.32",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets in IP datagrams delivered to the
lower layers for transmission.  Octets from datagrams
counted in ipIfStatsOutTransmits MUST be counted here.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCOutOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.33",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets in IP datagrams delivered to the
lower layers for transmission.  This objects counts the same
octets as ipIfStatsOutOctets, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInMcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.34",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP multicast datagrams received.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCInMcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.35",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP multicast datagrams received.  This object
counts the same datagrams as ipIfStatsInMcastPkts, but
allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInMcastOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.36",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets received in IP multicast


datagrams.  Octets from datagrams counted in
ipIfStatsInMcastPkts MUST be counted here.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCInMcastOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.37",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets received in IP multicast
datagrams.  This object counts the same octets as
ipIfStatsInMcastOctets, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutMcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.38",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP multicast datagrams transmitted.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCOutMcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.39",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP multicast datagrams transmitted.  This
object counts the same datagrams as ipIfStatsOutMcastPkts,
but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other


times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutMcastOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.40",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets transmitted in IP multicast
datagrams.  Octets from datagrams counted in
ipIfStatsOutMcastPkts MUST be counted here.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCOutMcastOctets" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.41",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The total number of octets transmitted in IP multicast
datagrams.  This object counts the same octets as
ipIfStatsOutMcastOctets, but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsInBcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.42",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP broadcast datagrams received.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCInBcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.43",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP broadcast datagrams received.  This object
counts the same datagrams as ipIfStatsInBcastPkts, but
allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsOutBcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.44",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP broadcast datagrams transmitted.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsHCOutBcastPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.45",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter64"},
            },
            "access" : "readonly",
            "description" :
                """The number of IP broadcast datagrams transmitted.  This
object counts the same datagrams as ipIfStatsOutBcastPkts,
but allows for larger values.

Discontinuities in the value of this counter can occur at
re-initialization of the management system, and at other
times as indicated by the value of
ipIfStatsDiscontinuityTime.""",
        }, # column
        "ipIfStatsDiscontinuityTime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.46",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime on the most recent occasion at which


any one or more of this entry's counters suffered a
discontinuity.

If no such discontinuities have occurred since the last re-
initialization of the local management subsystem, then this
object contains a zero value.""",
        }, # column
        "ipIfStatsRefreshRate" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.31.3.1.47",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "milli-seconds",
            "description" :
                """The minimum reasonable polling interval for this entry.
This object provides an indication of the minimum amount of
time required to update the counters in this entry.""",
        }, # column
        "ipAddressPrefixTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32",
            "status" : "current",
            "description" :
                """This table allows the user to determine the source of an IP
address or set of IP addresses, and allows other tables to
share the information via pointer rather than by copying.

For example, when the node configures both a unicast and
anycast address for a prefix, the ipAddressPrefix objects
for those addresses will point to a single row in this
table.

This table primarily provides support for IPv6 prefixes, and
several of the objects are less meaningful for IPv4.  The
table continues to allow IPv4 addresses to allow future
flexibility.  In order to promote a common configuration,
this document includes suggestions for default values for
IPv4 prefixes.  Each of these values may be overridden if an
object is meaningful to the node.

All prefixes used by this entity should be included in this
table independent of how the entity learned the prefix.
(This table isn't limited to prefixes learned from router


advertisements.)""",
        }, # table
        "ipAddressPrefixEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32.1",
            "status" : "current",
            "linkage" : [
                "ipAddressPrefixIfIndex",
                "ipAddressPrefixType",
                "ipAddressPrefixPrefix",
                "ipAddressPrefixLength",
            ],
            "description" :
                """An entry in the ipAddressPrefixTable.""",
        }, # row
        "ipAddressPrefixIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The index value that uniquely identifies the interface on
which this prefix is configured.  The interface identified
by a particular value of this index is the same interface as
identified by the same value of the IF-MIB's ifIndex.""",
        }, # column
        "ipAddressPrefixType" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The address type of ipAddressPrefix.""",
        }, # column
        "ipAddressPrefixPrefix" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddress"},
            },
            "access" : "noaccess",
            "description" :
                """The address prefix.  The address type of this object is
specified in ipAddressPrefixType.  The length of this object
is the standard length for objects of that type (4 or 16
bytes).  Any bits after ipAddressPrefixLength must be zero.

Implementors need to be aware that, if the size of
ipAddressPrefixPrefix exceeds 114 octets, then OIDS of
instances of columns in this row will have more than 128
sub-identifiers and cannot be accessed using SNMPv1,
SNMPv2c, or SNMPv3.""",
        }, # column
        "ipAddressPrefixLength" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressPrefixLength"},
            },
            "access" : "noaccess",
            "description" :
                """The prefix length associated with this prefix.

The value 0 has no special meaning for this object.  It
simply refers to address '::/0'.""",
        }, # column
        "ipAddressPrefixOrigin" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IP-MIB", "name" : "IpAddressPrefixOriginTC"},
            },
            "access" : "readonly",
            "description" :
                """The origin of this prefix.""",
        }, # column
        "ipAddressPrefixOnLinkFlag" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """This object has the value 'true(1)', if this prefix can be
used for on-link determination; otherwise, the value is
'false(2)'.

The default for IPv4 prefixes is 'true(1)'.""",
            "reference>" :
                """For IPv6 RFC 2461, especially sections 2 and 4.6.2 and
RFC 2462""",
        }, # column
        "ipAddressPrefixAutonomousFlag" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readonly",
            "description" :
                """Autonomous address configuration flag.  When true(1),
indicates that this prefix can be used for autonomous
address configuration (i.e., can be used to form a local
interface address).  If false(2), it is not used to auto-
configure a local interface address.

The default for IPv4 prefixes is 'false(2)'.""",
            "reference>" :
                """For IPv6 RFC 2461, especially sections 2 and 4.6.2 and
RFC 2462""",
        }, # column
        "ipAddressPrefixAdvPreferredLifetime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """The remaining length of time, in seconds, that this prefix
will continue to be preferred, i.e., time until deprecation.

A value of 4,294,967,295 represents infinity.

The address generated from a deprecated prefix should no
longer be used as a source address in new communications,
but packets received on such an interface are processed as
expected.

The default for IPv4 prefixes is 4,294,967,295 (infinity).""",
            "reference>" :
                """For IPv6 RFC 2461, especially sections 2 and 4.6.2 and
RFC 2462""",
        }, # column
        "ipAddressPrefixAdvValidLifetime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.32.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """The remaining length of time, in seconds, that this prefix
will continue to be valid, i.e., time until invalidation.  A
value of 4,294,967,295 represents infinity.

The address generated from an invalidated prefix should not
appear as the destination or source address of a packet.


The default for IPv4 prefixes is 4,294,967,295 (infinity).""",
            "reference>" :
                """For IPv6 RFC 2461, especially sections 2 and 4.6.2 and
RFC 2462""",
        }, # column
        "ipAddressSpinLock" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.33",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TestAndIncr"},
            },
            "access" : "readwrite",
            "description" :
                """An advisory lock used to allow cooperating SNMP managers to
coordinate their use of the set operation in creating or
modifying rows within this table.

In order to use this lock to coordinate the use of set
operations, managers should first retrieve
ipAddressTableSpinLock.  They should then determine the
appropriate row to create or modify.  Finally, they should
issue the appropriate set command, including the retrieved
value of ipAddressSpinLock.  If another manager has altered
the table in the meantime, then the value of
ipAddressSpinLock will have changed, and the creation will
fail as it will be specifying an incorrect value for
ipAddressSpinLock.  It is suggested, but not required, that
the ipAddressSpinLock be the first var bind for each set of
objects representing a 'row' in a PDU.""",
        }, # scalar
        "ipAddressTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34",
            "status" : "current",
            "description" :
                """This table contains addressing information relevant to the
entity's interfaces.

This table does not contain multicast address information.
Tables for such information should be contained in multicast
specific MIBs, such as RFC 3019.

While this table is writable, the user will note that
several objects, such as ipAddressOrigin, are not.  The
intention in allowing a user to write to this table is to
allow them to add or remove any entry that isn't


permanent.  The user should be allowed to modify objects
and entries when that would not cause inconsistencies
within the table.  Allowing write access to objects, such
as ipAddressOrigin, could allow a user to insert an entry
and then label it incorrectly.

Note well: When including IPv6 link-local addresses in this
table, the entry must use an InetAddressType of 'ipv6z' in
order to differentiate between the possible interfaces.""",
        }, # table
        "ipAddressEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "ipAddressAddrType",
                "ipAddressAddr",
            ],
            "description" :
                """An address mapping for a particular interface.""",
        }, # row
        "ipAddressAddrType" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The address type of ipAddressAddr.""",
        }, # column
        "ipAddressAddr" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddress"},
            },
            "access" : "noaccess",
            "description" :
                """The IP address to which this entry's addressing information


pertains.  The address type of this object is specified in
ipAddressAddrType.

Implementors need to be aware that if the size of
ipAddressAddr exceeds 116 octets, then OIDS of instances of
columns in this row will have more than 128 sub-identifiers
and cannot be accessed using SNMPv1, SNMPv2c, or SNMPv3.""",
        }, # column
        "ipAddressIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "readwrite",
            "description" :
                """The index value that uniquely identifies the interface to
which this entry is applicable.  The interface identified by
a particular value of this index is the same interface as
identified by the same value of the IF-MIB's ifIndex.""",
        }, # column
        "ipAddressType" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "unicast" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "anycast" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "broadcast" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "unicast",
            "description" :
                """The type of address.  broadcast(3) is not a valid value for
IPv6 addresses (RFC 3513).""",
        }, # column
        "ipAddressPrefix" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowPointer"},
            },
            "access" : "readonly",
            "default" : "0.0",
            "description" :
                """A pointer to the row in the prefix table to which this
address belongs.  May be { 0 0 } if there is no such row.""",
        }, # column
        "ipAddressOrigin" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IP-MIB", "name" : "IpAddressOriginTC"},
            },
            "access" : "readonly",
            "description" :
                """The origin of the address.""",
        }, # column
        "ipAddressStatus" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IP-MIB", "name" : "IpAddressStatusTC"},
            },
            "access" : "readwrite",
            "default" : "preferred",
            "description" :
                """The status of the address, describing if the address can be
used for communication.

In the absence of other information, an IPv4 address is
always preferred(1).""",
        }, # column
        "ipAddressCreated" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime at the time this entry was created.
If this entry was created prior to the last re-
initialization of the local network management subsystem,
then this object contains a zero value.""",
        }, # column
        "ipAddressLastChanged" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime at the time this entry was last
updated.  If this entry was updated prior to the last re-
initialization of the local network management subsystem,
then this object contains a zero value.""",
        }, # column
        "ipAddressRowStatus" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status of this conceptual row.

The RowStatus TC requires that this DESCRIPTION clause
states under which circumstances other objects in this row


can be modified.  The value of this object has no effect on
whether other objects in this conceptual row can be
modified.

A conceptual row can not be made active until the
ipAddressIfIndex has been set to a valid index.""",
        }, # column
        "ipAddressStorageType" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.34.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "StorageType"},
            },
            "access" : "readwrite",
            "default" : "volatile",
            "description" :
                """The storage type for this conceptual row.  If this object
has a value of 'permanent', then no other objects are
required to be able to be modified.""",
        }, # column
        "ipNetToPhysicalTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.35",
            "status" : "current",
            "description" :
                """The IP Address Translation table used for mapping from IP
addresses to physical addresses.

The Address Translation tables contain the IP address to
'physical' address equivalences.  Some interfaces do not use
translation tables for determining address equivalences
(e.g., DDN-X.25 has an algorithmic method); if all
interfaces are of this type, then the Address Translation
table is empty, i.e., has zero entries.

While many protocols may be used to populate this table, ARP
and Neighbor Discovery are the most likely
options.""",
            "reference>" :
                """RFC 826 and RFC 2461""",
        }, # table
        "ipNetToPhysicalEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.35.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "ipNetToPhysicalIfIndex",
                "ipNetToPhysicalNetAddressType",
                "ipNetToPhysicalNetAddress",
            ],
            "description" :
                """Each entry contains one IP address to `physical' address
equivalence.""",
        }, # row
        "ipNetToPhysicalIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.35.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The index value that uniquely identifies the interface to
which this entry is applicable.  The interface identified by
a particular value of this index is the same interface as
identified by the same value of the IF-MIB's ifIndex.""",
        }, # column
        "ipNetToPhysicalNetAddressType" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.35.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The type of ipNetToPhysicalNetAddress.""",
        }, # column
        "ipNetToPhysicalNetAddress" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.35.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddress"},
            },
            "access" : "noaccess",
            "description" :
                """The IP Address corresponding to the media-dependent
`physical' address.  The address type of this object is
specified in ipNetToPhysicalAddressType.

Implementors need to be aware that if the size of


ipNetToPhysicalNetAddress exceeds 115 octets, then OIDS of
instances of columns in this row will have more than 128
sub-identifiers and cannot be accessed using SNMPv1,
SNMPv2c, or SNMPv3.""",
        }, # column
        "ipNetToPhysicalPhysAddress" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.35.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "OctetString",
                    "parent module" : {
                        "name" : "SNMPv2-TC",
                        "type" : "PhysAddress",
                    },
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The media-dependent `physical' address.

As the entries in this table are typically not persistent
when this object is written the entity SHOULD NOT save the
change to non-volatile storage.""",
        }, # column
        "ipNetToPhysicalLastUpdated" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.35.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TimeStamp"},
            },
            "access" : "readonly",
            "description" :
                """The value of sysUpTime at the time this entry was last
updated.  If this entry was updated prior to the last re-
initialization of the local network management subsystem,
then this object contains a zero value.""",
        }, # column
        "ipNetToPhysicalType" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.35.1.6",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "other" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "dynamic" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "static" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "local" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "static",
            "description" :
                """The type of mapping.

Setting this object to the value invalid(2) has the effect
of invalidating the corresponding entry in the
ipNetToPhysicalTable.  That is, it effectively dis-
associates the interface identified with said entry from the
mapping identified with said entry.  It is an
implementation-specific matter as to whether the agent


removes an invalidated entry from the table.  Accordingly,
management stations must be prepared to receive tabular
information from agents that corresponds to entries not
currently in use.  Proper interpretation of such entries
requires examination of the relevant ipNetToPhysicalType
object.

The 'dynamic(3)' type indicates that the IP address to
physical addresses mapping has been dynamically resolved
using e.g., IPv4 ARP or the IPv6 Neighbor Discovery
protocol.

The 'static(4)' type indicates that the mapping has been
statically configured.  Both of these refer to entries that
provide mappings for other entities addresses.

The 'local(5)' type indicates that the mapping is provided
for an entity's own interface address.

As the entries in this table are typically not persistent
when this object is written the entity SHOULD NOT save the
change to non-volatile storage.""",
        }, # column
        "ipNetToPhysicalState" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.35.1.7",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "reachable" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                    "stale" : {
                        "nodetype" : "namednumber",
                        "number" : "2"
                    },
                    "delay" : {
                        "nodetype" : "namednumber",
                        "number" : "3"
                    },
                    "probe" : {
                        "nodetype" : "namednumber",
                        "number" : "4"
                    },
                    "invalid" : {
                        "nodetype" : "namednumber",
                        "number" : "5"
                    },
                    "unknown" : {
                        "nodetype" : "namednumber",
                        "number" : "6"
                    },
                    "incomplete" : {
                        "nodetype" : "namednumber",
                        "number" : "7"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """The Neighbor Unreachability Detection state for the
interface when the address mapping in this entry is used.
If Neighbor Unreachability Detection is not in use (e.g. for
IPv4), this object is always unknown(6).""",
            "reference>" :
                """RFC 2461""",
        }, # column
        "ipNetToPhysicalRowStatus" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.35.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status of this conceptual row.

The RowStatus TC requires that this DESCRIPTION clause
states under which circumstances other objects in this row
can be modified.  The value of this object has no effect on
whether other objects in this conceptual row can be
modified.

A conceptual row can not be made active until the
ipNetToPhysicalPhysAddress object has been set.

Note that if the ipNetToPhysicalType is set to 'invalid',
the managed node may delete the entry independent of the
state of this object.""",
        }, # column
        "ipv6ScopeZoneIndexTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36",
            "status" : "current",
            "description" :
                """The table used to describe IPv6 unicast and multicast scope
zones.

For those objects that have names rather than numbers, the
names were chosen to coincide with the names used in the
IPv6 address architecture document. """,
            "reference>" :
                """Section 2.7 of RFC 4291""",
        }, # table
        "ipv6ScopeZoneIndexEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1",
            "status" : "current",
            "linkage" : [
                "ipv6ScopeZoneIndexIfIndex",
            ],
            "description" :
                """Each entry contains the list of scope identifiers on a given
interface.""",
        }, # row
        "ipv6ScopeZoneIndexIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The index value that uniquely identifies the interface to
which these scopes belong.  The interface identified by a
particular value of this index is the same interface as
identified by the same value of the IF-MIB's ifIndex.""",
        }, # column
        "ipv6ScopeZoneIndexLinkLocal" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for the link-local scope on this interface.""",
        }, # column
        "ipv6ScopeZoneIndex3" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for scope 3 on this interface.""",
        }, # column
        "ipv6ScopeZoneIndexAdminLocal" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for the admin-local scope on this interface.""",
        }, # column
        "ipv6ScopeZoneIndexSiteLocal" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for the site-local scope on this interface.""",
        }, # column
        "ipv6ScopeZoneIndex6" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for scope 6 on this interface.""",
        }, # column
        "ipv6ScopeZoneIndex7" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for scope 7 on this interface.""",
        }, # column
        "ipv6ScopeZoneIndexOrganizationLocal" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.8",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for the organization-local scope on this
interface.""",
        }, # column
        "ipv6ScopeZoneIndex9" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for scope 9 on this interface.""",
        }, # column
        "ipv6ScopeZoneIndexA" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.10",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for scope A on this interface.""",
        }, # column
        "ipv6ScopeZoneIndexB" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.11",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for scope B on this interface.""",
        }, # column
        "ipv6ScopeZoneIndexC" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for scope C on this interface.""",
        }, # column
        "ipv6ScopeZoneIndexD" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.36.1.13",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetZoneIndex"},
            },
            "access" : "readonly",
            "description" :
                """The zone index for scope D on this interface.""",
        }, # column
        "ipDefaultRouterTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.37",
            "status" : "current",
            "description" :
                """The table used to describe the default routers known to this


entity.""",
        }, # table
        "ipDefaultRouterEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.37.1",
            "status" : "current",
            "linkage" : [
                "ipDefaultRouterAddressType",
                "ipDefaultRouterAddress",
                "ipDefaultRouterIfIndex",
            ],
            "description" :
                """Each entry contains information about a default router known
to this entity.""",
        }, # row
        "ipDefaultRouterAddressType" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.37.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddressType"},
            },
            "access" : "noaccess",
            "description" :
                """The address type for this row.""",
        }, # column
        "ipDefaultRouterAddress" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.37.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetAddress"},
            },
            "access" : "noaccess",
            "description" :
                """The IP address of the default router represented by this
row.  The address type of this object is specified in
ipDefaultRouterAddressType.

Implementers need to be aware that if the size of
ipDefaultRouterAddress exceeds 115 octets, then OIDS of
instances of columns in this row will have more than 128
sub-identifiers and cannot be accessed using SNMPv1,
SNMPv2c, or SNMPv3.""",
        }, # column
        "ipDefaultRouterIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.37.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The index value that uniquely identifies the interface by
which the router can be reached.  The interface identified
by a particular value of this index is the same interface as
identified by the same value of the IF-MIB's ifIndex.""",
        }, # column
        "ipDefaultRouterLifetime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.37.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "65535"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "65535"
                    },
                },
            },
            "access" : "readonly",
            "units" : "seconds",
            "description" :
                """The remaining length of time, in seconds, that this router
will continue to be useful as a default router.  A value of
zero indicates that it is no longer useful as a default
router.  It is left to the implementer of the MIB as to
whether a router with a lifetime of zero is removed from the
list.

For IPv6, this value should be extracted from the router
advertisement messages.""",
            "reference>" :
                """For IPv6 RFC 2462 sections 4.2 and 6.3.4""",
        }, # column
        "ipDefaultRouterPreference" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.37.1.5",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Enumeration",
                    "reserved" : {
                        "nodetype" : "namednumber",
                        "number" : "-2"
                    },
                    "low" : {
                        "nodetype" : "namednumber",
                        "number" : "-1"
                    },
                    "medium" : {
                        "nodetype" : "namednumber",
                        "number" : "0"
                    },
                    "high" : {
                        "nodetype" : "namednumber",
                        "number" : "1"
                    },
                },
            },
            "access" : "readonly",
            "description" :
                """An indication of preference given to this router as a
default router as described in he Default Router
Preferences document.  Treating the value as a
2 bit signed integer allows for simple arithmetic
comparisons.

For IPv4 routers or IPv6 routers that are not using the
updated router advertisement format, this object is set to
medium (0).""",
            "reference>" :
                """RFC 4291, section 2.1""",
        }, # column
        "ipv6RouterAdvertSpinLock" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.38",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TestAndIncr"},
            },
            "access" : "readwrite",
            "description" :
                """An advisory lock used to allow cooperating SNMP managers to
coordinate their use of the set operation in creating or
modifying rows within this table.

In order to use this lock to coordinate the use of set
operations, managers should first retrieve
ipv6RouterAdvertSpinLock.  They should then determine the
appropriate row to create or modify.  Finally, they should
issue the appropriate set command including the retrieved
value of ipv6RouterAdvertSpinLock.  If another manager has
altered the table in the meantime, then the value of
ipv6RouterAdvertSpinLock will have changed and the creation
will fail as it will be specifying an incorrect value for
ipv6RouterAdvertSpinLock.  It is suggested, but not
required, that the ipv6RouterAdvertSpinLock be the first var
bind for each set of objects representing a 'row' in a PDU.""",
        }, # scalar
        "ipv6RouterAdvertTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39",
            "status" : "current",
            "description" :
                """The table containing information used to construct router
advertisements.""",
        }, # table
        "ipv6RouterAdvertEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1",
            "create" : "true",
            "status" : "current",
            "linkage" : [
                "ipv6RouterAdvertIfIndex",
            ],
            "description" :
                """An entry containing information used to construct router
advertisements.

Information in this table is persistent, and when this
object is written, the entity SHOULD save the change to
non-volatile storage.""",
        }, # row
        "ipv6RouterAdvertIfIndex" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"IF-MIB", "name" : "InterfaceIndex"},
            },
            "access" : "noaccess",
            "description" :
                """The index value that uniquely identifies the interface on
which router advertisements constructed with this
information will be transmitted.  The interface identified
by a particular value of this index is the same interface as
identified by the same value of the IF-MIB's ifIndex.""",
        }, # column
        "ipv6RouterAdvertSendAdverts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """A flag indicating whether the router sends periodic
router advertisements and responds to router solicitations
on this interface.""",
            "reference>" :
                """RFC 2461 Section 6.2.1""",
        }, # column
        "ipv6RouterAdvertMaxInterval" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.3",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "4",
                        "max" : "1800"
                    },
                    ],
                    "range" : {
                        "min" : "4",
                        "max" : "1800"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "600",
            "units" : "seconds",
            "description" :
                """The maximum time allowed between sending unsolicited router


advertisements from this interface.""",
            "reference>" :
                """RFC 2461 Section 6.2.1""",
        }, # column
        "ipv6RouterAdvertMinInterval" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.4",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "3",
                        "max" : "1350"
                    },
                    ],
                    "range" : {
                        "min" : "3",
                        "max" : "1350"
                    },
                },
            },
            "access" : "readwrite",
            "units" : "seconds",
            "description" :
                """The minimum time allowed between sending unsolicited router
advertisements from this interface.

The default is 0.33 * ipv6RouterAdvertMaxInterval, however,
in the case of a low value for ipv6RouterAdvertMaxInterval,
the minimum value for this object is restricted to 3.""",
            "reference>" :
                """RFC 2461 Section 6.2.1""",
        }, # column
        "ipv6RouterAdvertManagedFlag" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """The true/false value to be placed into the 'managed address
configuration' flag field in router advertisements sent from
this interface.""",
            "reference>" :
                """RFC 2461 Section 6.2.1""",
        }, # column
        "ipv6RouterAdvertOtherConfigFlag" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.6",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "TruthValue"},
            },
            "access" : "readwrite",
            "default" : "false",
            "description" :
                """The true/false value to be placed into the 'other stateful
configuration' flag field in router advertisements sent from
this interface.""",
            "reference>" :
                """RFC 2461 Section 6.2.1""",
        }, # column
        "ipv6RouterAdvertLinkMTU" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.7",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readwrite",
            "default" : "0",
            "description" :
                """The value to be placed in MTU options sent by the router on
this interface.

A value of zero indicates that no MTU options are sent.""",
            "reference>" :
                """RFC 2461 Section 6.2.1""",
        }, # column
        "ipv6RouterAdvertReachableTime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.8",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "3600000"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "3600000"
                    },
                },
            },
            "access" : "readwrite",
            "default" : "0",
            "units" : "milliseconds",
            "description" :
                """The value to be placed in the reachable time field in router
advertisement messages sent from this interface.

A value of zero in the router advertisement indicates that
the advertisement isn't specifying a value for reachable
time.""",
            "reference>" :
                """RFC 2461 Section 6.2.1""",
        }, # column
        "ipv6RouterAdvertRetransmitTime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.9",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"", "name" : "Unsigned32"},
            },
            "access" : "readwrite",
            "default" : "0",
            "units" : "milliseconds",
            "description" :
                """The value to be placed in the retransmit timer field in
router advertisements sent from this interface.

A value of zero in the router advertisement indicates that
the advertisement isn't specifying a value for retrans
time.""",
            "reference>" :
                """RFC 2461 Section 6.2.1""",
        }, # column
        "ipv6RouterAdvertCurHopLimit" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.10",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "readwrite",
            "description" :
                """The default value to be placed in the current hop limit
field in router advertisements sent from this interface.


The value should be set to the current diameter of the
Internet.

A value of zero in the router advertisement indicates that
the advertisement isn't specifying a value for curHopLimit.

The default should be set to the value specified in the IANA
web pages (www.iana.org) at the time of implementation.""",
            "reference>" :
                """RFC 2461 Section 6.2.1""",
        }, # column
        "ipv6RouterAdvertDefaultLifetime" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.11",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Unsigned32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "0"
                    },
                    {
                        "min" : "4",
                        "max" : "9000"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "9000"
                    },
                },
            },
            "access" : "readwrite",
            "units" : "seconds",
            "description" :
                """The value to be placed in the router lifetime field of
router advertisements sent from this interface.  This value
MUST be either 0 or between ipv6RouterAdvertMaxInterval and
9000 seconds.

A value of zero indicates that the router is not to be used
as a default router.

The default is 3 * ipv6RouterAdvertMaxInterval.""",
            "reference>" :
                """RFC 2461 Section 6.2.1""",
        }, # column
        "ipv6RouterAdvertRowStatus" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.4.39.1.12",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-TC", "name" : "RowStatus"},
            },
            "access" : "readwrite",
            "description" :
                """The status of this conceptual row.

As all objects in this conceptual row have default values, a
row can be created and made active by setting this object
appropriately.

The RowStatus TC requires that this DESCRIPTION clause
states under which circumstances other objects in this row
can be modified.  The value of this object has no effect on
whether other objects in this conceptual row can be
modified.""",
        }, # column
        "icmp" : {
            "nodetype" : "node",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5",
        }, # node
        "icmpInMsgs" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.1",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of ICMP messages which the entity received.
Note that this counter includes all those counted by
icmpInErrors.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
icmpStatsInMsgs.""",
        }, # scalar
        "icmpInErrors" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.2",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP messages which the entity received but
determined as having ICMP-specific errors (bad ICMP
checksums, bad length, etc.).

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
icmpStatsInErrors.""",
        }, # scalar
        "icmpInDestUnreachs" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.3",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Destination Unreachable messages
received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpInTimeExcds" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.4",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Time Exceeded messages received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpInParmProbs" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.5",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Parameter Problem messages received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpInSrcQuenchs" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.6",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Source Quench messages received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpInRedirects" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.7",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Redirect messages received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpInEchos" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.8",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Echo (request) messages received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpInEchoReps" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.9",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Echo Reply messages received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpInTimestamps" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.10",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Timestamp (request) messages received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpInTimestampReps" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.11",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Timestamp Reply messages received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpInAddrMasks" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.12",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Address Mask Request messages received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpInAddrMaskReps" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.13",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Address Mask Reply messages received.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutMsgs" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.14",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of ICMP messages which this entity
attempted to send.  Note that this counter includes all
those counted by icmpOutErrors.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
icmpStatsOutMsgs.""",
        }, # scalar
        "icmpOutErrors" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.15",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP messages which this entity did not send
due to problems discovered within ICMP, such as a lack of
buffers.  This value should not include errors discovered
outside the ICMP layer, such as the inability of IP to route
the resultant datagram.  In some implementations, there may
be no types of error which contribute to this counter's
value.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by
icmpStatsOutErrors.""",
        }, # scalar
        "icmpOutDestUnreachs" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.16",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Destination Unreachable messages sent.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutTimeExcds" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.17",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Time Exceeded messages sent.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutParmProbs" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.18",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Parameter Problem messages sent.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutSrcQuenchs" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.19",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Source Quench messages sent.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutRedirects" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.20",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Redirect messages sent.  For a host, this
object will always be zero, since hosts do not send
redirects.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutEchos" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.21",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Echo (request) messages sent.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutEchoReps" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.22",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Echo Reply messages sent.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutTimestamps" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.23",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Timestamp (request) messages sent.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutTimestampReps" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.24",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Timestamp Reply messages sent.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutAddrMasks" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.25",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Address Mask Request messages sent.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpOutAddrMaskReps" : {
            "nodetype" : "scalar",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.26",
            "status" : "deprecated",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP Address Mask Reply messages sent.

This object has been deprecated, as a new IP version-neutral
table has been added.  It is loosely replaced by a column in
the icmpMsgStatsTable.""",
        }, # scalar
        "icmpStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.29",
            "status" : "current",
            "description" :
                """The table of generic system-wide ICMP counters.""",
        }, # table
        "icmpStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.29.1",
            "status" : "current",
            "linkage" : [
                "icmpStatsIPVersion",
            ],
            "description" :
                """A conceptual row in the icmpStatsTable.""",
        }, # row
        "icmpStatsIPVersion" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.29.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetVersion"},
            },
            "access" : "noaccess",
            "description" :
                """The IP version of the statistics.""",
        }, # column
        "icmpStatsInMsgs" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.29.1.2",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of ICMP messages that the entity received.
Note that this counter includes all those counted by
icmpStatsInErrors.""",
        }, # column
        "icmpStatsInErrors" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.29.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP messages that the entity received but
determined as having ICMP-specific errors (bad ICMP
checksums, bad length, etc.).""",
        }, # column
        "icmpStatsOutMsgs" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.29.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The total number of ICMP messages that the entity attempted
to send.  Note that this counter includes all those counted
by icmpStatsOutErrors.""",
        }, # column
        "icmpStatsOutErrors" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.29.1.5",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of ICMP messages that this entity did not send
due to problems discovered within ICMP, such as a lack of
buffers.  This value should not include errors discovered
outside the ICMP layer, such as the inability of IP to route
the resultant datagram.  In some implementations, there may
be no types of error that contribute to this counter's
value.""",
        }, # column
        "icmpMsgStatsTable" : {
            "nodetype" : "table",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.30",
            "status" : "current",
            "description" :
                """The table of system-wide per-version, per-message type ICMP
counters.""",
        }, # table
        "icmpMsgStatsEntry" : {
            "nodetype" : "row",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.30.1",
            "status" : "current",
            "linkage" : [
                "icmpMsgStatsIPVersion",
                "icmpMsgStatsType",
            ],
            "description" :
                """A conceptual row in the icmpMsgStatsTable.

The system should track each ICMP type value, even if that
ICMP type is not supported by the system.  However, a
given row need not be instantiated unless a message of that
type has been processed, i.e., the row for
icmpMsgStatsType=X MAY be instantiated before but MUST be
instantiated after the first message with Type=X is
received or transmitted.  After receiving or transmitting
any succeeding messages with Type=X, the relevant counter
must be incremented.""",
        }, # row
        "icmpMsgStatsIPVersion" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.30.1.1",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"INET-ADDRESS-MIB", "name" : "InetVersion"},
            },
            "access" : "noaccess",
            "description" :
                """The IP version of the statistics.""",
        }, # column
        "icmpMsgStatsType" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.30.1.2",
            "status" : "current",
            "syntax" : {
                "type" :                 {
                    "basetype" : "Integer32",
                    "ranges" : [
                    {
                        "min" : "0",
                        "max" : "255"
                    },
                    ],
                    "range" : {
                        "min" : "0",
                        "max" : "255"
                    },
                },
            },
            "access" : "noaccess",
            "description" :
                """The ICMP type field of the message type being counted by
this row.

Note that ICMP message types are scoped by the address type
in use.""",
            "reference>" :
                """http://www.iana.org/assignments/icmp-parameters and
http://www.iana.org/assignments/icmpv6-parameters""",
        }, # column
        "icmpMsgStatsInPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.30.1.3",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of input packets for this AF and type.""",
        }, # column
        "icmpMsgStatsOutPkts" : {
            "nodetype" : "column",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.5.30.1.4",
            "status" : "current",
            "syntax" : {
                "type" : { "module" :"SNMPv2-SMI", "name" : "Counter32"},
            },
            "access" : "readonly",
            "description" :
                """The number of output packets for this AF and type.""",
        }, # column
        "ipMIB" : {
            "nodetype" : "node",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48",
            "status" : "current",
        }, # node
        "ipMIBConformance" : {
            "nodetype" : "node",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2",
        }, # node
        "ipMIBCompliances" : {
            "nodetype" : "node",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.1",
        }, # node
        "ipMIBGroups" : {
            "nodetype" : "node",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2",
        }, # node
    }, # nodes

    "groups" : {
        "ipGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.1",
            "status" : "deprecated",
            "members" : {
                "ipForwarding" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipDefaultTTL" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipInReceives" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipInHdrErrors" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipInAddrErrors" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipForwDatagrams" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipInUnknownProtos" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipInDiscards" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipInDelivers" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipOutRequests" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipOutDiscards" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipOutNoRoutes" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipReasmTimeout" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipReasmReqds" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipReasmOKs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipReasmFails" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipFragOKs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipFragFails" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipFragCreates" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAdEntAddr" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAdEntIfIndex" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAdEntNetMask" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAdEntBcastAddr" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAdEntReasmMaxSize" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipNetToMediaIfIndex" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipNetToMediaPhysAddress" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipNetToMediaNetAddress" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipNetToMediaType" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipRoutingDiscards" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The ip group of objects providing for basic management of IP
entities, exclusive of the management of IP routes.


As part of the version independence, this group has been
deprecated.  """,
        }, # group
        "icmpGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.2",
            "status" : "deprecated",
            "members" : {
                "icmpInMsgs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInErrors" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInDestUnreachs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInTimeExcds" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInParmProbs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInSrcQuenchs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInRedirects" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInEchos" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInEchoReps" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInTimestamps" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInTimestampReps" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInAddrMasks" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpInAddrMaskReps" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutMsgs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutErrors" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutDestUnreachs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutTimeExcds" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutParmProbs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutSrcQuenchs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutRedirects" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutEchos" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutEchoReps" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutTimestamps" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutTimestampReps" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutAddrMasks" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpOutAddrMaskReps" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The icmp group of objects providing ICMP statistics.

As part of the version independence, this group has been
deprecated.  """,
        }, # group
        "ipv4GeneralGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.3",
            "status" : "current",
            "members" : {
                "ipForwarding" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipDefaultTTL" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipReasmTimeout" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The group of IPv4-specific objects for basic management of
IPv4 entities.""",
        }, # group
        "ipv4IfGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.4",
            "status" : "current",
            "members" : {
                "ipv4InterfaceReasmMaxSize" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv4InterfaceEnableStatus" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv4InterfaceRetransmitTime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The group of IPv4-specific objects for basic management of
IPv4 interfaces.""",
        }, # group
        "ipv6GeneralGroup2" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.5",
            "status" : "current",
            "members" : {
                "ipv6IpForwarding" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6IpDefaultHopLimit" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The IPv6 group of objects providing for basic management of
IPv6 entities.""",
        }, # group
        "ipv6IfGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.6",
            "status" : "current",
            "members" : {
                "ipv6InterfaceReasmMaxSize" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6InterfaceIdentifier" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6InterfaceEnableStatus" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6InterfaceReachableTime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6InterfaceRetransmitTime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6InterfaceForwarding" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The group of IPv6-specific objects for basic management of
IPv6 interfaces.""",
        }, # group
        "ipLastChangeGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.7",
            "status" : "current",
            "members" : {
                "ipv4InterfaceTableLastChange" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6InterfaceTableLastChange" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsTableLastChange" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The last change objects associated with this MIB.  These
objects are optional for all agents.  They SHOULD be
implemented on agents where it is possible to determine the
proper values.  Where it is not possible to determine the
proper values, for example when the tables are split amongst
several sub-agents using AgentX, the agent MUST NOT
implement these objects to return an incorrect or static
value.""",
        }, # group
        "ipSystemStatsGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.8",
            "status" : "current",
            "members" : {
                "ipSystemStatsInReceives" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInHdrErrors" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInNoRoutes" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInAddrErrors" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInUnknownProtos" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInTruncatedPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInForwDatagrams" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsReasmReqds" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsReasmOKs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsReasmFails" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInDiscards" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInDelivers" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutRequests" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutNoRoutes" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutForwDatagrams" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutDiscards" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutFragReqds" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutFragOKs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutFragFails" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutFragCreates" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutTransmits" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInMcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsInMcastOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutMcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutMcastOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsDiscontinuityTime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsRefreshRate" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """IP system wide statistics.""",
        }, # group
        "ipv4SystemStatsGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.9",
            "status" : "current",
            "members" : {
                "ipSystemStatsInBcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsOutBcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """IPv4 only system wide statistics.""",
        }, # group
        "ipSystemStatsHCOctetGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.10",
            "status" : "current",
            "members" : {
                "ipSystemStatsHCInOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCOutOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCInMcastOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCOutMcastOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """IP system wide statistics for systems that may overflow the
standard octet counters within 1 hour.""",
        }, # group
        "ipSystemStatsHCPacketGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.11",
            "status" : "current",
            "members" : {
                "ipSystemStatsHCInReceives" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCInForwDatagrams" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCInDelivers" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCOutRequests" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCOutForwDatagrams" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCOutTransmits" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCInMcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCOutMcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """IP system wide statistics for systems that may overflow the
standard packet counters within 1 hour.""",
        }, # group
        "ipv4SystemStatsHCPacketGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.12",
            "status" : "current",
            "members" : {
                "ipSystemStatsHCInBcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCOutBcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """IPv4 only system wide statistics for systems that may
overflow the standard packet counters within 1 hour.""",
        }, # group
        "ipIfStatsGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.13",
            "status" : "current",
            "members" : {
                "ipIfStatsInReceives" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInHdrErrors" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInNoRoutes" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInAddrErrors" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInUnknownProtos" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInTruncatedPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInForwDatagrams" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsReasmReqds" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsReasmOKs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsReasmFails" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInDiscards" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInDelivers" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutRequests" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutForwDatagrams" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutDiscards" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutFragReqds" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutFragOKs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutFragFails" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutFragCreates" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutTransmits" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInMcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsInMcastOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutMcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutMcastOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsDiscontinuityTime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsRefreshRate" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """IP per-interface statistics.""",
        }, # group
        "ipv4IfStatsGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.14",
            "status" : "current",
            "members" : {
                "ipIfStatsInBcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsOutBcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """IPv4 only per-interface statistics.""",
        }, # group
        "ipIfStatsHCOctetGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.15",
            "status" : "current",
            "members" : {
                "ipIfStatsHCInOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCOutOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCInMcastOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCOutMcastOctets" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """IP per-interfaces statistics for systems that include
interfaces that may overflow the standard octet
counters within 1 hour.""",
        }, # group
        "ipIfStatsHCPacketGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.16",
            "status" : "current",
            "members" : {
                "ipIfStatsHCInReceives" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCInForwDatagrams" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCInDelivers" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCOutRequests" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCOutForwDatagrams" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCOutTransmits" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCInMcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCOutMcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """IP per-interfaces statistics for systems that include
interfaces that may overflow the standard packet counters
within 1 hour.""",
        }, # group
        "ipv4IfStatsHCPacketGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.17",
            "status" : "current",
            "members" : {
                "ipIfStatsHCInBcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipIfStatsHCOutBcastPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """IPv4 only per-interface statistics for systems that include
interfaces that may overflow the standard packet counters
within 1 hour.""",
        }, # group
        "ipAddressPrefixGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.18",
            "status" : "current",
            "members" : {
                "ipAddressPrefixOrigin" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressPrefixOnLinkFlag" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressPrefixAutonomousFlag" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressPrefixAdvPreferredLifetime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressPrefixAdvValidLifetime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The group of objects for providing information about address
prefixes used by this node.""",
        }, # group
        "ipAddressGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.19",
            "status" : "current",
            "members" : {
                "ipAddressSpinLock" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressIfIndex" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressType" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressPrefix" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressOrigin" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressStatus" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressCreated" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressLastChanged" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressRowStatus" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipAddressStorageType" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The group of objects for providing information about the
addresses relevant to this entity's interfaces.""",
        }, # group
        "ipNetToPhysicalGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.20",
            "status" : "current",
            "members" : {
                "ipNetToPhysicalPhysAddress" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipNetToPhysicalLastUpdated" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipNetToPhysicalType" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipNetToPhysicalState" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipNetToPhysicalRowStatus" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The group of objects for providing information about the
mappings of network address to physical address known to
this node.""",
        }, # group
        "ipv6ScopeGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.21",
            "status" : "current",
            "members" : {
                "ipv6ScopeZoneIndexLinkLocal" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndex3" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndexAdminLocal" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndexSiteLocal" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndex6" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndex7" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndexOrganizationLocal" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndex9" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndexA" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndexB" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndexC" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6ScopeZoneIndexD" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The group of objects for managing IPv6 scope zones.""",
        }, # group
        "ipDefaultRouterGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.22",
            "status" : "current",
            "members" : {
                "ipDefaultRouterLifetime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipDefaultRouterPreference" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The group of objects for providing information about default
routers known to this node.""",
        }, # group
        "ipv6RouterAdvertGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.23",
            "status" : "current",
            "members" : {
                "ipv6RouterAdvertSpinLock" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertSendAdverts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertMaxInterval" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertMinInterval" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertManagedFlag" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertOtherConfigFlag" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertLinkMTU" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertReachableTime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertRetransmitTime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertCurHopLimit" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertDefaultLifetime" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "ipv6RouterAdvertRowStatus" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The group of objects for controlling information advertised
by IPv6 routers.""",
        }, # group
        "icmpStatsGroup" : {
            "nodetype" : "group",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.2.24",
            "status" : "current",
            "members" : {
                "icmpStatsInMsgs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpStatsInErrors" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpStatsOutMsgs" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpStatsOutErrors" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpMsgStatsInPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
                "icmpMsgStatsOutPkts" : {
                    "nodetype" : "member",
                    "module" : "IP-MIB"
                },
            }, # members
            "description" :
                """The group of objects providing ICMP statistics.""",
        }, # group
    }, # groups

    "compliances" : {
        "ipMIBCompliance" : {
            "nodetype" : "compliance",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.1.1",
            "status" : "deprecated",
            "description" :
                """The compliance statement for systems that implement only
IPv4.  For version-independence, this compliance statement
is deprecated in favor of ipMIBCompliance2.""",
            "requires" : {
                "ipGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-MIB"
                },
                "icmpGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-MIB"
                },
            }, # requires
        }, # compliance
        "ipMIBCompliance2" : {
            "nodetype" : "compliance",
            "moduleName" : "IP-MIB",
            "oid" : "1.3.6.1.2.1.48.2.1.2",
            "status" : "current",
            "description" :
                """The compliance statement for systems that implement IP -
either IPv4 or IPv6.

There are a number of INDEX objects that cannot be
represented in the form of OBJECT clauses in SMIv2, but
for which we have the following compliance requirements,
expressed in OBJECT clause form in this description
clause:


-- OBJECT        ipSystemStatsIPVersion
-- SYNTAX        InetVersion {ipv4(1), ipv6(2)}
-- DESCRIPTION
--     This MIB requires support for only IPv4 and IPv6
--     versions.
--
-- OBJECT        ipIfStatsIPVersion
-- SYNTAX        InetVersion {ipv4(1), ipv6(2)}
-- DESCRIPTION
--     This MIB requires support for only IPv4 and IPv6
--     versions.
--
-- OBJECT        icmpStatsIPVersion
-- SYNTAX        InetVersion {ipv4(1), ipv6(2)}
-- DESCRIPTION
--     This MIB requires support for only IPv4 and IPv6
--     versions.
--
-- OBJECT        icmpMsgStatsIPVersion
-- SYNTAX        InetVersion {ipv4(1), ipv6(2)}
-- DESCRIPTION
--     This MIB requires support for only IPv4 and IPv6
--     versions.
--
-- OBJECT        ipAddressPrefixType
-- SYNTAX        InetAddressType {ipv4(1), ipv6(2)}
-- DESCRIPTION
--     This MIB requires support for only global IPv4 and
--     IPv6 address types.
--
-- OBJECT        ipAddressPrefixPrefix
-- SYNTAX        InetAddress (Size(4 | 16))
-- DESCRIPTION
--     This MIB requires support for only global IPv4 and
--     IPv6 addresses and so the size can be either 4 or
--     16 bytes.
--
-- OBJECT        ipAddressAddrType
-- SYNTAX        InetAddressType {ipv4(1), ipv6(2),
--                                ipv4z(3), ipv6z(4)}
-- DESCRIPTION
--     This MIB requires support for only global and
--     non-global IPv4 and IPv6 address types.
--
-- OBJECT        ipAddressAddr
-- SYNTAX        InetAddress (Size(4 | 8 | 16 | 20))
-- DESCRIPTION
--     This MIB requires support for only global and


--     non-global IPv4 and IPv6 addresses and so the size
--     can be 4, 8, 16, or 20 bytes.
--
-- OBJECT        ipNetToPhysicalNetAddressType
-- SYNTAX        InetAddressType {ipv4(1), ipv6(2),
--                                ipv4z(3), ipv6z(4)}
-- DESCRIPTION
--     This MIB requires support for only global and
--     non-global IPv4 and IPv6 address types.
--
-- OBJECT        ipNetToPhysicalNetAddress
-- SYNTAX        InetAddress (Size(4 | 8 | 16 | 20))
-- DESCRIPTION
--     This MIB requires support for only global and
--     non-global IPv4 and IPv6 addresses and so the size
--     can be 4, 8, 16, or 20 bytes.
--
-- OBJECT        ipDefaultRouterAddressType
-- SYNTAX        InetAddressType {ipv4(1), ipv6(2),
--                                ipv4z(3), ipv6z(4)}
-- DESCRIPTION
--     This MIB requires support for only global and
--     non-global IPv4 and IPv6 address types.
--
-- OBJECT        ipDefaultRouterAddress
-- SYNTAX        InetAddress (Size(4 | 8 | 16 | 20))
-- DESCRIPTION
--     This MIB requires support for only global and
--     non-global IPv4 and IPv6 addresses and so the size
--     can be 4, 8, 16, or 20 bytes.""",
            "requires" : {
                "ipSystemStatsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-MIB"
                },
                "ipAddressGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-MIB"
                },
                "ipNetToPhysicalGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-MIB"
                },
                "ipDefaultRouterGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-MIB"
                },
                "icmpStatsGroup" : {
                    "nodetype" : "mandatory",
                    "module" : "IP-MIB"
                },
                "ipSystemStatsHCOctetGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for systems that have an aggregate
bandwidth of greater than 20MB.  Including this group does
not allow an entity to neglect the 32 bit versions of these
objects.""",
                },
                "ipSystemStatsHCPacketGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for systems that have an aggregate
bandwidth of greater than 650MB.  Including this group


does not allow an entity to neglect the 32 bit versions of
these objects.""",
                },
                "ipIfStatsGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is optional for all systems.""",
                },
                "ipIfStatsHCOctetGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for systems that include the
ipIfStatsGroup and include links with bandwidths of greater
than 20MB.  Including this group does not allow an entity to
neglect the 32 bit versions of these objects.""",
                },
                "ipIfStatsHCPacketGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for systems that include the
ipIfStatsGroup and include links with bandwidths of greater
than 650MB.  Including this group does not allow an entity
to neglect the 32 bit versions of these objects.""",
                },
                "ipv4GeneralGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all systems supporting IPv4.""",
                },
                "ipv4IfGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all systems supporting IPv4.""",
                },
                "ipv4SystemStatsGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all systems supporting IPv4.""",
                },
                "ipv4SystemStatsHCPacketGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all systems supporting IPv4 and
that have an aggregate bandwidth of greater than 650MB.
Including this group does not allow an entity to neglect the
32 bit versions of these objects.""",
                },
                "ipv4IfStatsGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all systems supporting IPv4 and
including the ipIfStatsGroup.""",
                },
                "ipv4IfStatsHCPacketGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all systems supporting IPv4 and


including the ipIfStatsHCPacketGroup.  Including this group
does not allow an entity to neglect the 32 bit versions of
these objects.""",
                },
                "ipv6GeneralGroup2" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all systems supporting IPv6.""",
                },
                "ipv6IfGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all systems supporting IPv6.""",
                },
                "ipAddressPrefixGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all systems supporting IPv6.""",
                },
                "ipv6ScopeGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all systems supporting IPv6.""",
                },
                "ipv6RouterAdvertGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is mandatory for all IPv6 routers.""",
                },
                "ipLastChangeGroup" : {
                    "nodetype" : "optional",
                    "module" : "IP-MIB",
                    "description" :
                        """This group is optional for all agents.""",
                },
            }, # requires
            "refinements" : {
                "ipv6IpForwarding" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6IpDefaultHopLimit" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv4InterfaceEnableStatus" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6InterfaceEnableStatus" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6InterfaceForwarding" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipAddressSpinLock" : {
                    "module" : "IP-MIB",
                    "access" : "noaccess",
                    "description" :
                        """An agent is not required to provide write access to this
object.  However, if an agent provides write access to any
of the other objects in the ipAddressGroup, it SHOULD
provide write access to this object as well.""",
                },
                "ipAddressIfIndex" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write or create access
to this object.""",
                },
                "ipAddressType" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write or create access
to this object.""",
                },
                "ipAddressStatus" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write or create access
to this object.""",
                },
                "ipAddressRowStatus" : {
                    "module" : "IP-MIB",
                    "syntax" : {
                        "type" :                         {
                            "basetype" : "Enumeration",
                            "parent module" : {
                                "name" : "SNMPv2-TC",
                                "type" : "RowStatus",
                            },
                            "active" : {
                                "nodetype" : "namednumber",
                                "number" : "1"
                            },
                        },
                    }, # syntax
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write or create access
to this object.""",
                },
                "ipAddressStorageType" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write or create access
to this object.


If an agent allows this object to be written or created, it
is not required to allow this object to be set to readOnly,
permanent, or nonVolatile.""",
                },
                "ipNetToPhysicalPhysAddress" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write or create access
to this object.""",
                },
                "ipNetToPhysicalType" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write or create access
to this object.""",
                },
                "ipv6RouterAdvertSpinLock" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.  However, if an agent provides write access to
any of the other objects in the ipv6RouterAdvertGroup, it
SHOULD provide write access to this object as well.""",
                },
                "ipv6RouterAdvertSendAdverts" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6RouterAdvertMaxInterval" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6RouterAdvertMinInterval" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6RouterAdvertManagedFlag" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6RouterAdvertOtherConfigFlag" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6RouterAdvertLinkMTU" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6RouterAdvertReachableTime" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6RouterAdvertRetransmitTime" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6RouterAdvertCurHopLimit" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6RouterAdvertDefaultLifetime" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write access to this
object.""",
                },
                "ipv6RouterAdvertRowStatus" : {
                    "module" : "IP-MIB",
                    "access" : "readonly",
                    "description" :
                        """An agent is not required to provide write or create access
to this object.""",
                },
            }, # refinements

        }, # compliance
    }, # compliances

}
